<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:mml="http://www.w3.org/1998/Math/MathML"
                xmlns:my="urn:my:functions"
                version="2.0">
   <xsl:output method="xml" indent="yes" doctype-system="minified.dtd"/>
   <!-- ************************************************************************************************ -->
   <!-- Template for: abbrev -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | def )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="abbrev">
      <xsl:element name="hj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: abstract -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, sec* )
   
   Attributes:
      -abstract-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="abstract">
      <xsl:element name="dp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: access-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="access-date">
      <xsl:element name="hr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ack -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ack">
      <xsl:element name="cs">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: addr-line -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup | country | fax | institution | phone )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="addr-line">
      <xsl:element name="bq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: address -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( institution?, addr-line*, country, phone*, fax*, email*, ext-link*, uri* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="address">
      <xsl:element name="bp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: aff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | addr-line | country | fax | institution | phone | email | ext-link |
   uri | break | bold | italic | monospace | overline | roman | sc | strike | underline
   | fn | target | xref | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="aff">
      <xsl:element name="i">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: alt-text -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="alt-text">
      <xsl:element name="cv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: alt-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -alt-title-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="alt-title">
      <xsl:element name="en">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: alternatives -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( chem-struct | graphic | inline-graphic | inline-supplementary-material | media
   | textual-form | preformat | supplementary-material | table | mml:math )+-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="alternatives">
      <xsl:element name="db">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: annotation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( p )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="annotation">
      <xsl:element name="hs">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: anonymous -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="anonymous">
      <xsl:element name="bd">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: app -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( title, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat |
   supplementary-material | table-wrap | disp-formula | disp-formula-group | p | def-list
   | list | disp-quote | speech | statement | verse-group )*, ( sec )* ), permissions?
   )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="app">
      <xsl:element name="ev">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: app-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, ( app )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="app-group">
      <xsl:element name="eu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: array -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, ( alt-text | long-desc | email | ext-link | uri )*, ( ( alternatives |
   graphic | media )* | tbody ), ( attrib | permissions )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="array">
      <xsl:element name="ey">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( front, body, back? )
   
   Attributes:
      -article-type (Type: CDATA; Mode: #IMPLIED)
      -dtd-version (Type: CDATA; Default Value: 3.0; Mode: #FIXED)
      -xml:lang (Type: NMTOKEN; Default Value: en)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
      -xmlns:xsi (Type: CDATA; Default Value: http://www.w3.org/2001/XMLSchema-instance; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="article">
      <xsl:element name="pw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-categories -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( subj-group*, series-title*, series-text? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="article-categories">
      <xsl:element name="dg">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -pub-id-type (Type: (art-access-id|coden|doaj|doi|manuscript|medline|other|pii|pmcid|pmid|publisher-id|sici); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="article-id">
      <xsl:element name="df">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-meta -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title-group, contrib-group, ( product | supplementary-material )*, permissions?,
   self-uri*, related-article*, abstract+, kwd-group?, funding-group*, conference*
   )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="article-meta">
      <xsl:element name="de">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="article-title">
      <xsl:element name="h">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: attrib -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="attrib">
      <xsl:element name="ck">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: author-comment -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( p )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="author-comment">
      <xsl:element name="es">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: author-notes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, title?, ( corresp | fn | p )+ )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="author-notes">
      <xsl:element name="dl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: award-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( funding-source*, award-id*, principal-award-recipient*, principal-investigator*
   )
   
   Attributes:
      -award-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="award-group">
      <xsl:element name="gh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: award-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="award-id">
      <xsl:element name="gj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: back -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ack?, glossary?, ref-list*, app-group? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="back">
      <xsl:element name="pz">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: bio -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat |
   supplementary-material | table-wrap | disp-formula | disp-formula-group | p | def-list
   | list | disp-quote | speech | statement | verse-group )*, ( sec )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bio">
      <xsl:element name="ct">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: body -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat | supplementary-material
   | table-wrap | disp-formula | disp-formula-group | p | def-list | list | disp-quote
   | speech | statement | verse-group )*, ( sec )* )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="body">
      <xsl:element name="py">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: bold -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bold">
      <xsl:element name="fp">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: boxed-text -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, caption?, ( boxed-text | chem-struct-wrap | fig | graphic | media
   | preformat | supplementary-material | table-wrap | disp-formula | disp-formula-group
   | p | def-list | list | disp-quote | speech | statement | verse-group )*, ( sec
   )*, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="boxed-text">
      <xsl:element name="ez">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: break -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="break">
      <xsl:element name="fo">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: caption -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( p )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="caption">
      <xsl:element name="fe">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: chapter-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="chapter-title">
      <xsl:element name="ht">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: chem-struct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | break | bold | italic
   | monospace | overline | roman | sc | strike | underline | object-id | def-list
   | list | graphic | media | preformat | fn | target | xref | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="chem-struct">
      <xsl:element name="fb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: chem-struct-wrap -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc )*, ( alternatives | chem-struct
   | graphic | media | preformat | textual-form )+, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="chem-struct-wrap">
      <xsl:element name="fa">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: col -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -span (Type: CDATA; Default Value: 1)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="col">
      <xsl:element name="pp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: colgroup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( col )*
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -span (Type: CDATA; Default Value: 1)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="colgroup">
      <xsl:element name="po">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: collab -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup | addr-line | country | fax | institution | phone | address | aff |
   author-comment | bio | email | ext-link | on-behalf-of | role | uri | xref )*
   
   Attributes:
      -collab-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="collab">
      <xsl:element name="j">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: comment -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="comment">
      <xsl:element name="hu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: compound-kwd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( compound-kwd-part+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="compound-kwd">
      <xsl:element name="dt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: compound-kwd-part -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="compound-kwd-part">
      <xsl:element name="du">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-acronym -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-acronym">
      <xsl:element name="dz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-date">
      <xsl:element name="k">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-loc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-loc">
      <xsl:element name="l">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-name">
      <xsl:element name="m">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-num -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-num">
      <xsl:element name="ea">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-sponsor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-sponsor">
      <xsl:element name="eb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-theme -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conf-theme">
      <xsl:element name="ec">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conference -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( conf-date, ( conf-name | conf-acronym )+, conf-num?, conf-loc?, conf-sponsor*,
   conf-theme? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="conference">
      <xsl:element name="dy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: contrib -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( anonymous | collab | name ), ( degrees )*, role?, on-behalf-of?, aff*, address*,
   email*, ext-link*, uri*, bio?, author-comment? )
   
   Attributes:
      -contrib-type (Type: CDATA; Mode: #IMPLIED)
      -corresp (Type: (no|yes); Mode: #IMPLIED)
      -deceased (Type: (no|yes); Mode: #IMPLIED)
      -equal-contrib (Type: (no|yes); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="contrib">
      <xsl:element name="ep">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: contrib-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( contrib+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="contrib-group">
      <xsl:element name="eo">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: copyright-holder -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="copyright-holder">
      <xsl:element name="b">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: copyright-statement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | named-content | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="copyright-statement">
      <xsl:element name="c">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: copyright-year -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="copyright-year">
      <xsl:element name="d">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: corresp -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | addr-line | country | fax | institution | phone | email | ext-link |
   uri | bold | italic | monospace | overline | roman | sc | strike | underline | sub
   | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="corresp">
      <xsl:element name="dw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: country -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -country (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="country">
      <xsl:element name="br">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: counts -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( fig-count?, table-count?, equation-count?, ref-count?, page-count?, word-count?
   )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="counts">
      <xsl:element name="ee">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: custom-meta -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( meta-name, meta-value )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="custom-meta">
      <xsl:element name="cy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: custom-meta-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( custom-meta+ )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="custom-meta-group">
      <xsl:element name="cx">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( ( day?, month? ) | season )?, year )
   
   Attributes:
      -date-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="date">
      <xsl:element name="bx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: date-in-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | day | month | season | year )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="date-in-citation">
      <xsl:element name="hv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: day -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="day">
      <xsl:element name="by">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( p )+ )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="def">
      <xsl:element name="cl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def-head -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="def-head">
      <xsl:element name="gs">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def-item -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( term, def* )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="def-item">
      <xsl:element name="gt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def-list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, term-head?, def-head?, def-item+ )
   
   Attributes:
      -continued-from (Type: IDREF; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -list-content (Type: CDATA; Mode: #IMPLIED)
      -list-type (Type: (bullet|order|simple); Mode: #IMPLIED)
      -prefix-word (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="def-list">
      <xsl:element name="gq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: degrees -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="degrees">
      <xsl:element name="eq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: disp-formula -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | break | bold | italic
   | monospace | overline | roman | sc | strike | underline | attrib | permissions
   | alternatives | inline-graphic | chem-struct | inline-formula | label | mml:math
   | graphic | media | preformat | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="disp-formula">
      <xsl:element name="gy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: disp-formula-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, ( caption )?, ( alt-text | long-desc | email | ext-link | uri )*, ( disp-formula
   | disp-formula-group )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="disp-formula-group">
      <xsl:element name="gz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: disp-quote -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p+, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="disp-quote">
      <xsl:element name="hd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: edition -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="edition">
      <xsl:element name="hw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: element-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( bold | italic | monospace | overline | roman | sc | strike | underline | alternatives
   | inline-graphic | chem-struct | inline-formula | abbrev | named-content | styled-content
   | annotation | article-title | chapter-title | collab | comment | conf-date | conf-loc
   | conf-name | conf-sponsor | date | date-in-citation | day | edition | email | elocation-id
   | etal | ext-link | fpage | gov | institution | isbn | issn | issue | issue-id |
   issue-part | issue-title | lpage | month | name | object-id | page-range | part-title
   | patent | person-group | pub-id | publisher-loc | publisher-name | role | season
   | series | size | source | std | string-name | supplement | trans-source | trans-title
   | uri | volume | volume-id | volume-series | year | sub | sup )+
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -publication-format (Type: CDATA; Mode: #IMPLIED)
      -publication-type (Type: CDATA; Mode: #IMPLIED)
      -publisher-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="element-citation">
      <xsl:element name="bo">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: elocation-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="elocation-id">
      <xsl:element name="bm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: email -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="email">
      <xsl:element name="bs">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: equation-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="equation-count">
      <xsl:element name="ef">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: etal -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="etal">
      <xsl:element name="be">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ext-link -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -ext-link-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ext-link">
      <xsl:element name="cj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fax -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fax">
      <xsl:element name="bt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fig -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc )*, ( disp-formula | disp-formula-group
   | chem-struct-wrap | disp-quote | speech | statement | verse-group | table-wrap
   | p | def-list | list | graphic | media | preformat )*, attrib?, permissions? )
   
   Attributes:
      -fig-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fig">
      <xsl:element name="fd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fig-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fig-count">
      <xsl:element name="eg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fig-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( caption )?, ( alt-text | long-desc | email | ext-link | uri )*, ( fig | alternatives
   | graphic | media )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fig-group">
      <xsl:element name="fc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: floats-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( alternatives | boxed-text | chem-struct-wrap | fig | fig-group | graphic | media
   | preformat | supplementary-material | table-wrap | table-wrap-group )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="floats-group">
      <xsl:element name="ii">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( p )+ )
   
   Attributes:
      -fn-type (Type: (abbr|com|con|conflict|corresp|current-aff|deceased|edited-by|equal|financial-disclosure|on-leave|participating-researchers|presented-at|presented-by|present-address|previously-at|study-group-members|supplementary-material|supported-by|other); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fn">
      <xsl:element name="gm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fn-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( fn )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fn-group">
      <xsl:element name="ew">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fpage -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fpage">
      <xsl:element name="bi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: front -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( article-meta )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="front">
      <xsl:element name="px">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: funding-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( award-group*, funding-statement*, open-access? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="funding-group">
      <xsl:element name="ge">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: funding-source -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -country (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -source-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="funding-source">
      <xsl:element name="gi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: funding-statement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | named-content | styled-content | sub | sup )*
   
   Attributes:
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="funding-statement">
      <xsl:element name="gf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: given-names -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="given-names">
      <xsl:element name="cg">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: glossary -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, def-list*, glossary* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="glossary">
      <xsl:element name="ex">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: glyph-data -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -fontchar (Type: CDATA; Mode: #IMPLIED)
      -fontname (Type: CDATA; Mode: #IMPLIED)
      -format (Type: NMTOKEN; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -resolution (Type: CDATA; Mode: #IMPLIED)
      -x-size (Type: CDATA; Mode: #IMPLIED)
      -xml:space (Type: (preserve); Default Value: preserve; Mode: #FIXED)
      -y-size (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="glyph-data">
      <xsl:element name="pu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: glyph-ref -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -glyph-data (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="glyph-ref">
      <xsl:element name="pv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: gov -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gov">
      <xsl:element name="hx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: graphic -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )?, ( alt-text | long-desc )*, ( attrib?, permissions? )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #REQUIRED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="graphic">
      <xsl:element name="ff">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: history -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( date )+-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="history">
      <xsl:element name="dn">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: hr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hr">
      <xsl:element name="fn">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: inline-formula -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | mml:math | named-content
   | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="inline-formula">
      <xsl:element name="gx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: inline-graphic -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( alt-text? )
   
   Attributes:
      -baseline-shift (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: (cgm|gif|jpeg|png|tiff); Mode: #IMPLIED)
      -mimetype (Type: CDATA; Default Value: image; Mode: #FIXED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #REQUIRED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="inline-graphic">
      <xsl:element name="fh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: inline-supplementary-material -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | bold | italic | monospace
   | overline | roman | sc | strike | underline | named-content | styled-content |
   sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="inline-supplementary-material">
      <xsl:element name="gp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: institution -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="institution">
      <xsl:element name="bu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: isbn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="isbn">
      <xsl:element name="o">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -pub-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="issn">
      <xsl:element name="p">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="issue">
      <xsl:element name="q">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -pub-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="issue-id">
      <xsl:element name="r">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-part -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="issue-part">
      <xsl:element name="s">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-sponsor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="issue-sponsor">
      <xsl:element name="t">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="issue-title">
      <xsl:element name="u">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: italic -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="italic">
      <xsl:element name="fq">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: journal-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -journal-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="journal-id">
      <xsl:element name="v">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: kwd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | abbrev | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kwd">
      <xsl:element name="ds">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: kwd-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( kwd | compound-kwd )+ )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -kwd-group-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kwd-group">
      <xsl:element name="dr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: label -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="label">
      <xsl:element name="cm">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: license -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( license-p )+ )
   
   Attributes:
      -license-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="license">
      <xsl:element name="e">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: license-p -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | award-id | funding-source | open-access | chem-struct
   | inline-formula | inline-graphic | private-char | def-list | list | mml:math |
   abbrev | named-content | styled-content | disp-quote | speech | statement | verse-group
   | fn | target | xref | sub | sup | price )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="license-p">
      <xsl:element name="f">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, list-item+ )
   
   Attributes:
      -continued-from (Type: IDREF; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -list-content (Type: CDATA; Mode: #IMPLIED)
      -list-type (Type: (bullet|order|simple); Mode: #IMPLIED)
      -prefix-word (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="list">
      <xsl:element name="gv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: list-item -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( p )+
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="list-item">
      <xsl:element name="gw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: long-desc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="long-desc">
      <xsl:element name="cw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: lpage -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lpage">
      <xsl:element name="bj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: media -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )?, ( alt-text | long-desc )*, ( attrib?, permissions? )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #REQUIRED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="media">
      <xsl:element name="fg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: meta-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="meta-name">
      <xsl:element name="cz">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: meta-value -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="meta-value">
      <xsl:element name="da">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: milestone-end -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rationale (Type: CDATA; Mode: #IMPLIED)
      -rid (Type: IDREF; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="milestone-end">
      <xsl:element name="hl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: milestone-start -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rationale (Type: CDATA; Mode: #IMPLIED)
      -rid (Type: IDREF; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="milestone-start">
      <xsl:element name="hk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mixed-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | annotation | article-title | chapter-title | collab | comment
   | conf-date | conf-loc | conf-name | conf-sponsor | date | date-in-citation | day
   | edition | email | elocation-id | etal | ext-link | fpage | gov | institution |
   isbn | issn | issue | issue-id | issue-part | issue-title | lpage | month | name
   | object-id | page-range | part-title | patent | person-group | pub-id | publisher-loc
   | publisher-name | role | season | series | size | source | std | string-name |
   supplement | trans-source | trans-title | uri | volume | volume-id | volume-series
   | year | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -publication-format (Type: CDATA; Mode: #IMPLIED)
      -publication-type (Type: CDATA; Mode: #IMPLIED)
      -publisher-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mixed-citation">
      <xsl:element name="bn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:abs -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:abs">
      <xsl:element name="jo">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:and -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:and">
      <xsl:element name="kk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:annotation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:annotation">
      <xsl:element name="np">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:annotation-xml -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( p+ )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:annotation-xml">
      <xsl:element name="nq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:apply -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:apply">
      <xsl:element name="nj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:approx -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:approx">
      <xsl:element name="mu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccos -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arccos">
      <xsl:element name="lt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccosh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arccosh">
      <xsl:element name="lv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arccot">
      <xsl:element name="lw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccoth -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arccoth">
      <xsl:element name="lx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccsc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arccsc">
      <xsl:element name="ly">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccsch -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arccsch">
      <xsl:element name="lz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsec -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arcsec">
      <xsl:element name="ma">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsech -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arcsech">
      <xsl:element name="mb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsin -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arcsin">
      <xsl:element name="ls">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsinh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arcsinh">
      <xsl:element name="mc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arctan -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arctan">
      <xsl:element name="lu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arctanh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arctanh">
      <xsl:element name="md">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arg -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:arg">
      <xsl:element name="jp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:bvar -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:bvar">
      <xsl:element name="od">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:card -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:card">
      <xsl:element name="ky">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cartesianproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:cartesianproduct">
      <xsl:element name="lc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ceiling -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:ceiling">
      <xsl:element name="jv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ci -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace
   | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror
   | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup |
   mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr
   | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:ci">
      <xsl:element name="ng">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:sep | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms
   | mml:mspace | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   )*
   
   Attributes:
      -base (Type: CDATA; Default Value: 10)
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:cn">
      <xsl:element name="ni">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:codomain -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:codomain">
      <xsl:element name="jj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:complexes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:complexes">
      <xsl:element name="iw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:compose -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:compose">
      <xsl:element name="jm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:condition -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:condition">
      <xsl:element name="nm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:conjugate -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:conjugate">
      <xsl:element name="js">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cos -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:cos">
      <xsl:element name="lh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cosh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:cosh">
      <xsl:element name="ln">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:cot">
      <xsl:element name="ll">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:coth -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:coth">
      <xsl:element name="lr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:csc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:csc">
      <xsl:element name="lk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:csch -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:csch">
      <xsl:element name="lq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:csymbol -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace
   | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror
   | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup |
   mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr
   | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:csymbol">
      <xsl:element name="nh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:curl -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:curl">
      <xsl:element name="kr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:declare -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -nargs (Type: CDATA; Default Value: 1)
      -occurrence (Type: CDATA; Default Value: function-model)
      -other (Type: CDATA; Mode: #IMPLIED)
      -scope (Type: CDATA; Default Value: local)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:declare">
      <xsl:element name="nn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:degree -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:degree">
      <xsl:element name="oe">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:determinant -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:determinant">
      <xsl:element name="mk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:diff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:diff">
      <xsl:element name="kv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:divergence -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:divergence">
      <xsl:element name="kp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:divide -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:divide">
      <xsl:element name="jy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:domain -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:domain">
      <xsl:element name="ji">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:domainofapplication -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:domainofapplication">
      <xsl:element name="oh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:emptyset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:emptyset">
      <xsl:element name="jd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:eq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:eq">
      <xsl:element name="ms">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:equivalent -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:equivalent">
      <xsl:element name="mt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:eulergamma -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:eulergamma">
      <xsl:element name="jf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:exists -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:exists">
      <xsl:element name="ki">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:exp -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:exp">
      <xsl:element name="jn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:exponentiale -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:exponentiale">
      <xsl:element name="iy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:factorial -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:factorial">
      <xsl:element name="jt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:factorof -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:factorof">
      <xsl:element name="mr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:false -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:false">
      <xsl:element name="jc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:floor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:floor">
      <xsl:element name="ju">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:fn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:fn">
      <xsl:element name="oa">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:forall -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:forall">
      <xsl:element name="kj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:gcd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:gcd">
      <xsl:element name="kf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:geq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:geq">
      <xsl:element name="mx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:grad -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:grad">
      <xsl:element name="kq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:gt -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:gt">
      <xsl:element name="mv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ident -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:ident">
      <xsl:element name="jl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:image -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:image">
      <xsl:element name="jk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:imaginary -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:imaginary">
      <xsl:element name="jr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:imaginaryi -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:imaginaryi">
      <xsl:element name="iz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:implies -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:implies">
      <xsl:element name="ko">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:in -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:in">
      <xsl:element name="mz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:infinity -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:infinity">
      <xsl:element name="jg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:int -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:int">
      <xsl:element name="ku">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:integers -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:integers">
      <xsl:element name="is">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:intersect -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:intersect">
      <xsl:element name="lb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:interval -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -closure (Type: CDATA; Default Value: closed)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:interval">
      <xsl:element name="nr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:inverse -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:inverse">
      <xsl:element name="jh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lambda -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:lambda">
      <xsl:element name="nl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:laplacian -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:laplacian">
      <xsl:element name="ks">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lcm -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:lcm">
      <xsl:element name="kg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:leq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:leq">
      <xsl:element name="my">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:limit -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:limit">
      <xsl:element name="lf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -order (Type: CDATA; Default Value: numeric)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:list">
      <xsl:element name="nt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ln -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:ln">
      <xsl:element name="kx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:log -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:log">
      <xsl:element name="kt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:logbase -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:logbase">
      <xsl:element name="of">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lowlimit -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:lowlimit">
      <xsl:element name="ob">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lt -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:lt">
      <xsl:element name="mw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:maction -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -actiontype (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -selection (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:maction">
      <xsl:element name="pb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:maligngroup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:maligngroup">
      <xsl:element name="ip">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:malignmark -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -edge (Type: (left|right); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:malignmark">
      <xsl:element name="io">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:math -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow | mml:mfrac
   | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded |
   mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder | mml:mover
   | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr | mml:mtd
   | mml:maligngroup | mml:malignmark | mml:maction | mml:ci | mml:csymbol | mml:cn
   | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes
   | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:apply | mml:fn | mml:lambda
   | mml:reln | mml:interval | mml:list | mml:matrix | mml:matrixrow | mml:set | mml:vector
   | mml:piecewise | mml:semantics | mml:declare )* )
   
   Attributes:
      -altimg (Type: CDATA; Mode: #IMPLIED)
      -alttext (Type: CDATA; Mode: #IMPLIED)
      -baseline (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -display (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -macros (Type: CDATA; Mode: #IMPLIED)
      -mode (Type: CDATA; Mode: #IMPLIED)
      -name (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -overflow (Type: (scroll|elide|truncate|scale); Default Value: scroll)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
      -xsi:schemaLocation (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:math">
      <xsl:element name="pj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:matrix -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:matrix">
      <xsl:element name="nv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:matrixrow -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:matrixrow">
      <xsl:element name="nw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:max -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:max">
      <xsl:element name="kc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mean -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mean">
      <xsl:element name="me">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:median -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:median">
      <xsl:element name="mh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:menclose -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -notation (Type: CDATA; Default Value: longdiv)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:menclose">
      <xsl:element name="oo">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:merror -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:merror">
      <xsl:element name="oj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mfenced -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -close (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -open (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -separators (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mfenced">
      <xsl:element name="pc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mfrac -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -bevelled (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -denomalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -linethickness (Type: CDATA; Mode: #IMPLIED)
      -numalign (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mfrac">
      <xsl:element name="om">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mglyph -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -alt (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -index (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mglyph">
      <xsl:element name="iq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mi -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mi">
      <xsl:element name="pe">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:min -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:min">
      <xsl:element name="kd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:minus -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:minus">
      <xsl:element name="jw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mlabeledtr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mlabeledtr">
      <xsl:element name="oz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mmultiscripts -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mmultiscripts">
      <xsl:element name="ot">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mn">
      <xsl:element name="pf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mo -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fence (Type: (true|false); Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -form (Type: (prefix|infix|postfix); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -largeop (Type: (true|false); Mode: #IMPLIED)
      -lspace (Type: CDATA; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -maxsize (Type: CDATA; Mode: #IMPLIED)
      -minsize (Type: CDATA; Mode: #IMPLIED)
      -movablelimits (Type: (true|false); Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rspace (Type: CDATA; Mode: #IMPLIED)
      -separator (Type: (true|false); Mode: #IMPLIED)
      -stretchy (Type: (true|false); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -symmetric (Type: (true|false); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mo">
      <xsl:element name="pg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mode -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mode">
      <xsl:element name="mi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:moment -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:moment">
      <xsl:element name="mj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:momentabout -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:momentabout">
      <xsl:element name="og">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mover -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mover">
      <xsl:element name="ov">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mpadded -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -depth (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -lspace (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mpadded">
      <xsl:element name="pd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mphantom -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mphantom">
      <xsl:element name="ok">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mprescripts -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mprescripts">
      <xsl:element name="im">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mroot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mroot">
      <xsl:element name="op">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mrow -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mrow">
      <xsl:element name="ol">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ms -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -lquote (Type: CDATA; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rquote (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:ms">
      <xsl:element name="pi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mspace -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -depth (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -linebreak (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mspace">
      <xsl:element name="il">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msqrt -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:msqrt">
      <xsl:element name="on">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mstyle -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -accentunder (Type: (true|false); Mode: #IMPLIED)
      -align (Type: CDATA; Mode: #IMPLIED)
      -alignmentscope (Type: CDATA; Mode: #IMPLIED)
      -background (Type: CDATA; Mode: #IMPLIED)
      -bevelled (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -close (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -columnlines (Type: CDATA; Mode: #IMPLIED)
      -columnspacing (Type: CDATA; Mode: #IMPLIED)
      -columnspan (Type: CDATA; Mode: #IMPLIED)
      -columnwidth (Type: CDATA; Mode: #IMPLIED)
      -depth (Type: CDATA; Mode: #IMPLIED)
      -displaystyle (Type: (true|false); Mode: #IMPLIED)
      -edge (Type: (left|right); Mode: #IMPLIED)
      -equalcolumns (Type: CDATA; Mode: #IMPLIED)
      -equalrows (Type: CDATA; Mode: #IMPLIED)
      -fence (Type: (true|false); Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -form (Type: (prefix|infix|postfix); Mode: #IMPLIED)
      -frame (Type: (none|solid|dashed); Mode: #IMPLIED)
      -framespacing (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -largeop (Type: (true|false); Mode: #IMPLIED)
      -linethickness (Type: CDATA; Mode: #IMPLIED)
      -lquote (Type: CDATA; Mode: #IMPLIED)
      -lspace (Type: CDATA; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -maxsize (Type: CDATA; Mode: #IMPLIED)
      -mediummathspace (Type: CDATA; Mode: #IMPLIED)
      -minlabelspacing (Type: CDATA; Mode: #IMPLIED)
      -minsize (Type: CDATA; Mode: #IMPLIED)
      -movablelimits (Type: (true|false); Mode: #IMPLIED)
      -open (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -rowlines (Type: CDATA; Mode: #IMPLIED)
      -rowspacing (Type: CDATA; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Mode: #IMPLIED)
      -rquote (Type: CDATA; Mode: #IMPLIED)
      -rspace (Type: CDATA; Mode: #IMPLIED)
      -scriptlevel (Type: CDATA; Mode: #IMPLIED)
      -scriptminsize (Type: CDATA; Mode: #IMPLIED)
      -scriptsizemultiplier (Type: CDATA; Mode: #IMPLIED)
      -selection (Type: CDATA; Mode: #IMPLIED)
      -separator (Type: (true|false); Mode: #IMPLIED)
      -separators (Type: CDATA; Mode: #IMPLIED)
      -side (Type: (left|right|leftoverlap|rightoverlap); Mode: #IMPLIED)
      -stretchy (Type: (true|false); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -symmetric (Type: (true|false); Mode: #IMPLIED)
      -thickmathspace (Type: CDATA; Mode: #IMPLIED)
      -thinmathspace (Type: CDATA; Mode: #IMPLIED)
      -verythickmathspace (Type: CDATA; Mode: #IMPLIED)
      -verythinmathspace (Type: CDATA; Mode: #IMPLIED)
      -veryverythickmathspace (Type: CDATA; Mode: #IMPLIED)
      -veryverythinmathspace (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mstyle">
      <xsl:element name="oi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msub -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:msub">
      <xsl:element name="oq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msubsup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:msubsup">
      <xsl:element name="os">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:msup">
      <xsl:element name="or">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtable -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -align (Type: CDATA; Mode: #IMPLIED)
      -alignmentscope (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -columnlines (Type: CDATA; Mode: #IMPLIED)
      -columnspacing (Type: CDATA; Mode: #IMPLIED)
      -columnwidth (Type: CDATA; Mode: #IMPLIED)
      -displaystyle (Type: (true|false); Mode: #IMPLIED)
      -equalcolumns (Type: CDATA; Mode: #IMPLIED)
      -equalrows (Type: CDATA; Mode: #IMPLIED)
      -frame (Type: (none|solid|dashed); Mode: #IMPLIED)
      -framespacing (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -minlabelspacing (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -rowlines (Type: CDATA; Mode: #IMPLIED)
      -rowspacing (Type: CDATA; Mode: #IMPLIED)
      -side (Type: (left|right|leftoverlap|rightoverlap); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mtable">
      <xsl:element name="ox">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -columnspan (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mtd">
      <xsl:element name="pa">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtext -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mtext">
      <xsl:element name="ph">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:mtr">
      <xsl:element name="oy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:munder -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accentunder (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:munder">
      <xsl:element name="ou">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:munderover -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -accentunder (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:munderover">
      <xsl:element name="ow">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:naturalnumbers -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:naturalnumbers">
      <xsl:element name="iv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:neq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:neq">
      <xsl:element name="mq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:none -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:none">
      <xsl:element name="in">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:not -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:not">
      <xsl:element name="kn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notanumber -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:notanumber">
      <xsl:element name="ja">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notin -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:notin">
      <xsl:element name="na">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notprsubset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:notprsubset">
      <xsl:element name="nc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notsubset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:notsubset">
      <xsl:element name="nb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:or -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:or">
      <xsl:element name="kl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:otherwise -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:otherwise">
      <xsl:element name="nz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:outerproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:outerproduct">
      <xsl:element name="mo">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:partialdiff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:partialdiff">
      <xsl:element name="kw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:pi -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:pi">
      <xsl:element name="je">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:piece -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:piece">
      <xsl:element name="ny">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:piecewise -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:piece )*, ( mml:otherwise )? )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:piecewise">
      <xsl:element name="nx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:plus -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:plus">
      <xsl:element name="kb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:power -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:power">
      <xsl:element name="jz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:primes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:primes">
      <xsl:element name="ix">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:product -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:product">
      <xsl:element name="le">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:prsubset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:prsubset">
      <xsl:element name="ne">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:quotient -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:quotient">
      <xsl:element name="jx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:rationals -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:rationals">
      <xsl:element name="iu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:real -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:real">
      <xsl:element name="jq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:reals -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:reals">
      <xsl:element name="it">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:reln -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:reln">
      <xsl:element name="nk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:rem -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:rem">
      <xsl:element name="ka">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:root -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:root">
      <xsl:element name="kh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:scalarproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:scalarproduct">
      <xsl:element name="mn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sdev -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sdev">
      <xsl:element name="mf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sec -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sec">
      <xsl:element name="lj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sech -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sech">
      <xsl:element name="lp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:selector -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:selector">
      <xsl:element name="mp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:semantics -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:semantics">
      <xsl:element name="no">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sep -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sep">
      <xsl:element name="ir">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:set -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:set">
      <xsl:element name="ns">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:setdiff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:setdiff">
      <xsl:element name="kz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sin -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sin">
      <xsl:element name="lg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sinh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sinh">
      <xsl:element name="lm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:subset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:subset">
      <xsl:element name="nd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sum -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:sum">
      <xsl:element name="ld">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:tan -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:tan">
      <xsl:element name="li">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:tanh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:tanh">
      <xsl:element name="lo">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:tendsto -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:tendsto">
      <xsl:element name="nf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:times -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:times">
      <xsl:element name="ke">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:transpose -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:transpose">
      <xsl:element name="ml">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:true -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:true">
      <xsl:element name="jb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:union -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:union">
      <xsl:element name="la">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:uplimit -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:uplimit">
      <xsl:element name="oc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:variance -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:variance">
      <xsl:element name="mg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:vector -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:vector">
      <xsl:element name="nu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:vectorproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:vectorproduct">
      <xsl:element name="mm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:xor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mml:xor">
      <xsl:element name="km">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: monospace -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="monospace">
      <xsl:element name="fr">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: month -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="month">
      <xsl:element name="bz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( surname, given-names?, prefix?, suffix? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -name-style (Type: (western|eastern|islensk); Default Value: western)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="name">
      <xsl:element name="ce">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: named-content -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | bold
   | italic | monospace | overline | roman | sc | strike | underline | inline-graphic
   | private-char | chem-struct | inline-formula | def-list | list | mml:math | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup | disp-quote |
   speech | statement | verse-group )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #REQUIRED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="named-content">
      <xsl:element name="hm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: nlm-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( person-group | collab )*, ( article-title | trans-title )*, source?, patent?,
   trans-source?, year?, ( ( month?, day?, time-stamp? ) | season? ), access-date?,
   volume?, edition?, conf-name?, conf-date?, conf-loc?, ( issue | supplement )*, publisher-loc?,
   publisher-name?, ( fpage?, lpage? )*, page-count?, series?, comment*, pub-id*, annotation?
   )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -publication-format (Type: CDATA; Mode: #IMPLIED)
      -publication-type (Type: CDATA; Mode: #IMPLIED)
      -publisher-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nlm-citation">
      <xsl:element name="hb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: note -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, ( p | product )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="note">
      <xsl:element name="hq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: notes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat |
   supplementary-material | table-wrap | disp-formula | disp-formula-group | p | def-list
   | list | disp-quote | speech | statement | verse-group )*, ( sec )* )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -notes-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="notes">
      <xsl:element name="cu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: object-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -pub-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="object-id">
      <xsl:element name="n">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: on-behalf-of -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="on-behalf-of">
      <xsl:element name="er">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: open-access -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( p+ )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="open-access">
      <xsl:element name="gg">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: overline -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="overline">
      <xsl:element name="fv">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: overline-end -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -rid (Type: IDREF; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="overline-end">
      <xsl:element name="gb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: overline-start -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -id (Type: ID; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="overline-start">
      <xsl:element name="ga">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: p -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | award-id | funding-source | open-access | chem-struct
   | inline-formula | inline-graphic | private-char | def-list | list | mml:math |
   abbrev | named-content | styled-content | disp-quote | speech | statement | verse-group
   | fn | target | xref | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="p">
      <xsl:element name="hc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: page-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="page-count">
      <xsl:element name="ej">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: page-range -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="page-range">
      <xsl:element name="bk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: part-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="part-title">
      <xsl:element name="hy">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: patent -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -country (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="patent">
      <xsl:element name="hz">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: permissions -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( copyright-statement*, copyright-year*, copyright-holder*, license* )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="permissions">
      <xsl:element name="g">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: person-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( anonymous | collab | name | aff | etal | string-name )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -person-group-type (Type: (allauthors|assignee|author|compiler|director|editor|guest-editor|inventor|translator|transed); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="person-group">
      <xsl:element name="ia">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: phone -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="phone">
      <xsl:element name="bv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: prefix -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="prefix">
      <xsl:element name="ch">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: preformat -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | attrib | permissions
   | bold | italic | monospace | overline | roman | sc | strike | underline | abbrev
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -preformat-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
      -xml:space (Type: (default|preserve); Default Value: preserve; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="preformat">
      <xsl:element name="fi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: price -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -currency (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="price">
      <xsl:element name="cn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: principal-award-recipient -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | name | institution | string-name )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="principal-award-recipient">
      <xsl:element name="gk">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: principal-investigator -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | name | string-name )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="principal-investigator">
      <xsl:element name="gl">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: private-char -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( glyph-data | glyph-ref ) | inline-graphic* )
   
   Attributes:
      -description (Type: CDATA; Mode: #IMPLIED)
      -name (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="private-char">
      <xsl:element name="pt">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: product -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | inline-supplementary-material | related-article | related-object | bold
   | italic | monospace | overline | roman | sc | strike | underline | alternatives
   | inline-graphic | chem-struct | inline-formula | abbrev | named-content | styled-content
   | price | annotation | article-title | chapter-title | collab | comment | conf-date
   | conf-loc | conf-name | conf-sponsor | date | date-in-citation | day | edition
   | email | elocation-id | etal | ext-link | fpage | gov | institution | isbn | issn
   | issue | issue-id | issue-part | issue-title | lpage | month | name | object-id
   | page-range | part-title | patent | person-group | pub-id | publisher-loc | publisher-name
   | role | season | series | size | source | std | string-name | supplement | trans-source
   | trans-title | uri | volume | volume-id | volume-series | year | fn | target |
   xref | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -product-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="product">
      <xsl:element name="dm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: pub-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( ( day?, month? ) | season )?, year )
   
   Attributes:
      -pub-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pub-date">
      <xsl:element name="dx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: pub-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -pub-id-type (Type: (art-access-id|coden|doaj|doi|manuscript|medline|other|pii|pmcid|pmid|publisher-id|sici); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pub-id">
      <xsl:element name="ib">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: publisher -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( publisher-name, publisher-loc? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="publisher">
      <xsl:element name="bf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: publisher-loc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="publisher-loc">
      <xsl:element name="bh">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: publisher-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="publisher-name">
      <xsl:element name="bg">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ref -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( element-citation | mixed-citation | nlm-citation )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ref">
      <xsl:element name="hp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ref-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ref-count">
      <xsl:element name="ei">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ref-list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, ref+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ref-list">
      <xsl:element name="ho">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: related-article -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | journal-id | named-content | styled-content | annotation | article-title | chapter-title
   | collab | comment | conf-date | conf-loc | conf-name | conf-sponsor | date | date-in-citation
   | day | edition | email | elocation-id | etal | ext-link | fpage | gov | institution
   | isbn | issn | issue | issue-id | issue-part | issue-title | lpage | month | name
   | object-id | page-range | part-title | patent | person-group | pub-id | publisher-loc
   | publisher-name | role | season | series | size | source | std | string-name |
   supplement | trans-source | trans-title | uri | volume | volume-id | volume-series
   | year | sub | sup )*
   
   Attributes:
      -elocation-id (Type: CDATA; Mode: #IMPLIED)
      -ext-link-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -issue (Type: CDATA; Mode: #IMPLIED)
      -journal-id (Type: CDATA; Mode: #IMPLIED)
      -journal-id-type (Type: CDATA; Mode: #IMPLIED)
      -page (Type: CDATA; Mode: #IMPLIED)
      -related-article-type (Type: CDATA; Mode: #REQUIRED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -vol (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="related-article">
      <xsl:element name="cp">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: related-object -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | annotation | article-title | chapter-title |
   collab | comment | conf-date | conf-loc | conf-name | conf-sponsor | date | date-in-citation
   | day | edition | email | elocation-id | etal | ext-link | fpage | gov | institution
   | isbn | issn | issue | issue-id | issue-part | issue-title | lpage | month | name
   | object-id | page-range | part-title | patent | person-group | pub-id | publisher-loc
   | publisher-name | role | season | series | size | source | std | string-name |
   supplement | trans-source | trans-title | uri | volume | volume-id | volume-series
   | year | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -document-id (Type: CDATA; Mode: #IMPLIED)
      -document-id-type (Type: CDATA; Mode: #IMPLIED)
      -document-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -link-type (Type: CDATA; Mode: #IMPLIED)
      -object-id (Type: CDATA; Mode: #IMPLIED)
      -object-id-type (Type: CDATA; Mode: #IMPLIED)
      -object-type (Type: CDATA; Mode: #IMPLIED)
      -source-id (Type: CDATA; Mode: #IMPLIED)
      -source-id-type (Type: CDATA; Mode: #IMPLIED)
      -source-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="related-object">
      <xsl:element name="ih">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: role -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="role">
      <xsl:element name="w">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: roman -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="roman">
      <xsl:element name="fs">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sans-serif -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sans-serif">
      <xsl:element name="ft">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sc">
      <xsl:element name="fu">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: season -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="season">
      <xsl:element name="ca">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sec -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat | supplementary-material
   | table-wrap | disp-formula | disp-formula-group | p | def-list | list | disp-quote
   | speech | statement | verse-group )*, ( sec )* )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -sec-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sec">
      <xsl:element name="ij">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sec-meta -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( contrib-group*, kwd-group*, permissions? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sec-meta">
      <xsl:element name="ik">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: self-uri -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="self-uri">
      <xsl:element name="do">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: series -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="series">
      <xsl:element name="ic">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: series-text -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="series-text">
      <xsl:element name="dk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: series-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="series-title">
      <xsl:element name="dj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sig -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup | break | inline-graphic | private-char | graphic | media )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sig">
      <xsl:element name="cr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sig-block -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | break | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | graphic | media | inline-graphic | private-char | named-content
   | styled-content | sig | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sig-block">
      <xsl:element name="cq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: size -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -units (Type: CDATA; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="size">
      <xsl:element name="bl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: source -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="source">
      <xsl:element name="ie">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: speaker -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | degrees | given-names | prefix | surname | suffix | fn | target | xref
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="speaker">
      <xsl:element name="hf">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: speech -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( speaker, ( p )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="speech">
      <xsl:element name="he">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: statement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, title?, ( p )+, ( attrib | permissions )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="statement">
      <xsl:element name="hg">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: std -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="std">
      <xsl:element name="id">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: strike -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="strike">
      <xsl:element name="fw">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: string-conf -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup | conf-date | conf-name | conf-num | conf-loc | conf-sponsor
   | conf-theme | conf-acronym | string-conf )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="string-conf">
      <xsl:element name="ed">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: string-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | day | month | season | year )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="string-date">
      <xsl:element name="cc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: string-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | degrees | given-names | prefix | surname | suffix )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="string-name">
      <xsl:element name="cd">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: styled-content -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | bold
   | italic | monospace | overline | roman | sc | strike | underline | inline-graphic
   | private-char | chem-struct | inline-formula | def-list | list | mml:math | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup | disp-quote |
   speech | statement | verse-group )*
   
   Attributes:
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -style-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="styled-content">
      <xsl:element name="hn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sub -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -arrange (Type: (stack|stagger); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sub">
      <xsl:element name="fx">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: subj-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( subject+, subj-group* )
   
   Attributes:
      -subj-group-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="subj-group">
      <xsl:element name="dh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: subject -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | named-content |
   styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="subject">
      <xsl:element name="di">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: subtitle -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="subtitle">
      <xsl:element name="em">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: suffix -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="suffix">
      <xsl:element name="ci">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -arrange (Type: (stack|stagger); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="sup">
      <xsl:element name="fy">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: supplement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup | contrib-group | title )*
   
   Attributes:
      -supplement-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="supplement">
      <xsl:element name="et">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: supplementary-material -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc | email | ext-link | uri
   )*, ( p )*, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="supplementary-material">
      <xsl:element name="fj">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: surname -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="surname">
      <xsl:element name="cf">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( col* | colgroup* ), ( ( thead?, tfoot?, tbody+ ) | ( tr+ ) ) )
   
   Attributes:
      -border (Type: CDATA; Mode: #IMPLIED)
      -cellpadding (Type: CDATA; Mode: #IMPLIED)
      -cellspacing (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -frame (Type: (void|above|below|hsides|lhs|rhs|vsides|box|border); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rules (Type: (none|groups|rows|cols|all); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -summary (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="table">
      <xsl:element name="pk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="table-count">
      <xsl:element name="eh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-wrap -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc )*, ( disp-quote | speech
   | statement | verse-group | def-list | list | alternatives | chem-struct-wrap |
   graphic | media | preformat | table )*, table-wrap-foot?, attrib?, permissions?
   )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="table-wrap">
      <xsl:element name="fl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-wrap-foot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( p | fn-group | fn | attrib | permissions )+ )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="table-wrap-foot">
      <xsl:element name="fm">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-wrap-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, caption?, ( alt-text | long-desc | email | ext-link | uri )*, ( table-wrap
   )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="table-wrap-group">
      <xsl:element name="fk">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: target -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #REQUIRED)
      -target-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="target">
      <xsl:element name="gn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tbody -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( tr )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="tbody">
      <xsl:element name="pn">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: td -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | hr | inline-supplementary-material | related-article
   | related-object | disp-formula | disp-formula-group | break | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | chem-struct | inline-formula | def-list | list | mml:math
   | abbrev | named-content | styled-content | graphic | media | preformat | inline-graphic
   | private-char | fn | target | xref | sub | sup )*
   
   Attributes:
      -abbr (Type: CDATA; Mode: #IMPLIED)
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -axis (Type: CDATA; Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -colspan (Type: CDATA; Default Value: 1)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -headers (Type: IDREFS; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Default Value: 1)
      -scope (Type: (row|col|rowgroup|colgroup); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="td">
      <xsl:element name="ps">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: term -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="term">
      <xsl:element name="gu">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: term-head -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="term-head">
      <xsl:element name="gr">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tex-math -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -notation (Type: NOTATION (LaTeX|tex|TEX|TeX); Mode: #IMPLIED)
      -version (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="tex-math">
      <xsl:element name="ha">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: textual-form -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | inline-graphic | private-char | mml:math | named-content | styled-content | sub
   | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="textual-form">
      <xsl:element name="dc">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tfoot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( tr )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="tfoot">
      <xsl:element name="pm">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: th -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | hr | inline-supplementary-material | related-article
   | related-object | disp-formula | disp-formula-group | break | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | chem-struct | inline-formula | def-list | list | mml:math
   | abbrev | named-content | styled-content | graphic | media | preformat | inline-graphic
   | private-char | fn | target | xref | sub | sup )*
   
   Attributes:
      -abbr (Type: CDATA; Mode: #IMPLIED)
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -axis (Type: CDATA; Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -colspan (Type: CDATA; Default Value: 1)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -headers (Type: IDREFS; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Default Value: 1)
      -scope (Type: (row|col|rowgroup|colgroup); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="th">
      <xsl:element name="pr">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: thead -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( tr )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="thead">
      <xsl:element name="pl">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: time-stamp -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="time-stamp">
      <xsl:element name="if">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   | element-citation | mixed-citation | nlm-citation )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="title">
      <xsl:element name="co">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: title-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( article-title, subtitle? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="title-group">
      <xsl:element name="el">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( th | td )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="tr">
      <xsl:element name="pq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-abstract -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, sec* )
   
   Attributes:
      -abstract-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="trans-abstract">
      <xsl:element name="dq">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-source -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="trans-source">
      <xsl:element name="ig">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-subtitle -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="trans-subtitle">
      <xsl:element name="y">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="trans-title">
      <xsl:element name="z">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-title-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( trans-title, trans-subtitle* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="trans-title-group">
      <xsl:element name="x">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: underline -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="underline">
      <xsl:element name="fz">
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: underline-end -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -rid (Type: IDREF; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="underline-end">
      <xsl:element name="gd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: underline-start -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -id (Type: ID; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="underline-start">
      <xsl:element name="gc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: unstructured-kwd-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -kwd-group-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="unstructured-kwd-group">
      <xsl:element name="dv">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: uri -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="uri">
      <xsl:element name="bw">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: verse-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, subtitle?, verse-line+, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="verse-group">
      <xsl:element name="hh">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: verse-line -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="verse-line">
      <xsl:element name="hi">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: volume -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="volume">
      <xsl:element name="ba">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: volume-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -pub-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="volume-id">
      <xsl:element name="bb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: volume-series -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="volume-series">
      <xsl:element name="bc">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: word-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="word-count">
      <xsl:element name="ek">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: x -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xml:space (Type: (default|preserve); Default Value: preserve; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="x">
      <xsl:element name="dd">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: xref -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -ref-type (Type: (aff|app|bibr|boxed-text|chem|contrib|corresp|disp-formula|fig|fn|kwd|list|plate|scheme|sec|statement|supplementary-material|table|table-fn|other); Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="xref">
      <xsl:element name="go">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: year -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="year">
      <xsl:element name="cb">
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   </xsl:stylesheet>
