<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:my="urn:my:functions" version="2.0"><xsl:output method="xml" indent="yes"/>
   <!-- ************************************************************************************************ -->
   <!-- Template for: abbrev -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | def )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hj"><xsl:element name="abbrev"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: abstract -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, sec* )
   
   Attributes:
      -abstract-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dp"><xsl:element name="abstract"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: access-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hr"><xsl:element name="access-date"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ack -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cs"><xsl:element name="ack"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: addr-line -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup | country | fax | institution | phone )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bq"><xsl:element name="addr-line"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: address -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( institution?, addr-line*, country, phone*, fax*, email*, ext-link*, uri* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bp"><xsl:element name="address"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: aff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | addr-line | country | fax | institution | phone | email | ext-link |
   uri | break | bold | italic | monospace | overline | roman | sc | strike | underline
   | fn | target | xref | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="i"><xsl:element name="aff"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: alt-text -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cv"><xsl:element name="alt-text"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: alt-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -alt-title-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="en"><xsl:element name="alt-title"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: alternatives -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( chem-struct | graphic | inline-graphic | inline-supplementary-material | media
   | textual-form | preformat | supplementary-material | table | mml:math )+-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="db"><xsl:element name="alternatives"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: annotation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( p )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hs"><xsl:element name="annotation"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: anonymous -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bd"><xsl:element name="anonymous"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: app -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( title, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat |
   supplementary-material | table-wrap | disp-formula | disp-formula-group | p | def-list
   | list | disp-quote | speech | statement | verse-group )*, ( sec )* ), permissions?
   )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ev"><xsl:element name="app"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: app-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, ( app )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="eu"><xsl:element name="app-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: array -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, ( alt-text | long-desc | email | ext-link | uri )*, ( ( alternatives |
   graphic | media )* | tbody ), ( attrib | permissions )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ey"><xsl:element name="array"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( front, body, back? )
   
   Attributes:
      -article-type (Type: CDATA; Mode: #IMPLIED)
      -dtd-version (Type: CDATA; Default Value: 3.0; Mode: #FIXED)
      -xml:lang (Type: NMTOKEN; Default Value: en)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
      -xmlns:xsi (Type: CDATA; Default Value: http://www.w3.org/2001/XMLSchema-instance; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pw"><xsl:element name="article"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-categories -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( subj-group*, series-title*, series-text? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dg"><xsl:element name="article-categories"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -pub-id-type (Type: (art-access-id|coden|doaj|doi|manuscript|medline|other|pii|pmcid|pmid|publisher-id|sici); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="df"><xsl:element name="article-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-meta -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title-group, contrib-group, ( product | supplementary-material )*, permissions?,
   self-uri*, related-article*, abstract+, kwd-group?, funding-group*, conference*
   )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="de"><xsl:element name="article-meta"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: article-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="h"><xsl:element name="article-title"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: attrib -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ck"><xsl:element name="attrib"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: author-comment -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( p )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="es"><xsl:element name="author-comment"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: author-notes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, title?, ( corresp | fn | p )+ )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dl"><xsl:element name="author-notes"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: award-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( funding-source*, award-id*, principal-award-recipient*, principal-investigator*
   )
   
   Attributes:
      -award-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gh"><xsl:element name="award-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: award-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gj"><xsl:element name="award-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: back -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ack?, glossary?, ref-list*, app-group? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pz"><xsl:element name="back"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: bio -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat |
   supplementary-material | table-wrap | disp-formula | disp-formula-group | p | def-list
   | list | disp-quote | speech | statement | verse-group )*, ( sec )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ct"><xsl:element name="bio"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: body -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat | supplementary-material
   | table-wrap | disp-formula | disp-formula-group | p | def-list | list | disp-quote
   | speech | statement | verse-group )*, ( sec )* )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="py"><xsl:element name="body"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: bold -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fp"><xsl:element name="bold"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: boxed-text -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, caption?, ( boxed-text | chem-struct-wrap | fig | graphic | media
   | preformat | supplementary-material | table-wrap | disp-formula | disp-formula-group
   | p | def-list | list | disp-quote | speech | statement | verse-group )*, ( sec
   )*, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ez"><xsl:element name="boxed-text"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: break -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fo"><xsl:element name="break"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: caption -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( p )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fe"><xsl:element name="caption"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: chapter-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ht"><xsl:element name="chapter-title"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: chem-struct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | break | bold | italic
   | monospace | overline | roman | sc | strike | underline | object-id | def-list
   | list | graphic | media | preformat | fn | target | xref | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fb"><xsl:element name="chem-struct"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: chem-struct-wrap -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc )*, ( alternatives | chem-struct
   | graphic | media | preformat | textual-form )+, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fa"><xsl:element name="chem-struct-wrap"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: col -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -span (Type: CDATA; Default Value: 1)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pp"><xsl:element name="col"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: colgroup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( col )*
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -span (Type: CDATA; Default Value: 1)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="po"><xsl:element name="colgroup"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: collab -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup | addr-line | country | fax | institution | phone | address | aff |
   author-comment | bio | email | ext-link | on-behalf-of | role | uri | xref )*
   
   Attributes:
      -collab-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="j"><xsl:element name="collab"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: comment -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hu"><xsl:element name="comment"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: compound-kwd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( compound-kwd-part+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dt"><xsl:element name="compound-kwd"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: compound-kwd-part -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="du"><xsl:element name="compound-kwd-part"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-acronym -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dz"><xsl:element name="conf-acronym"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="k"><xsl:element name="conf-date"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-loc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="l"><xsl:element name="conf-loc"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="m"><xsl:element name="conf-name"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-num -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ea"><xsl:element name="conf-num"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-sponsor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="eb"><xsl:element name="conf-sponsor"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conf-theme -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ec"><xsl:element name="conf-theme"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: conference -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( conf-date, ( conf-name | conf-acronym )+, conf-num?, conf-loc?, conf-sponsor*,
   conf-theme? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dy"><xsl:element name="conference"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: contrib -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( anonymous | collab | name ), ( degrees )*, role?, on-behalf-of?, aff*, address*,
   email*, ext-link*, uri*, bio?, author-comment? )
   
   Attributes:
      -contrib-type (Type: CDATA; Mode: #IMPLIED)
      -corresp (Type: (no|yes); Mode: #IMPLIED)
      -deceased (Type: (no|yes); Mode: #IMPLIED)
      -equal-contrib (Type: (no|yes); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ep"><xsl:element name="contrib"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: contrib-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( contrib+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="eo"><xsl:element name="contrib-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: copyright-holder -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="b"><xsl:element name="copyright-holder"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: copyright-statement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | named-content | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="c"><xsl:element name="copyright-statement"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: copyright-year -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="d"><xsl:element name="copyright-year"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: corresp -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | addr-line | country | fax | institution | phone | email | ext-link |
   uri | bold | italic | monospace | overline | roman | sc | strike | underline | sub
   | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dw"><xsl:element name="corresp"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: country -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -country (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="br"><xsl:element name="country"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: counts -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( fig-count?, table-count?, equation-count?, ref-count?, page-count?, word-count?
   )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ee"><xsl:element name="counts"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: custom-meta -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( meta-name, meta-value )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cy"><xsl:element name="custom-meta"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: custom-meta-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( custom-meta+ )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cx"><xsl:element name="custom-meta-group"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( ( day?, month? ) | season )?, year )
   
   Attributes:
      -date-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bx"><xsl:element name="date"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: date-in-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | day | month | season | year )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hv"><xsl:element name="date-in-citation"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: day -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="by"><xsl:element name="day"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( p )+ )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cl"><xsl:element name="def"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def-head -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gs"><xsl:element name="def-head"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def-item -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( term, def* )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gt"><xsl:element name="def-item"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: def-list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, term-head?, def-head?, def-item+ )
   
   Attributes:
      -continued-from (Type: IDREF; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -list-content (Type: CDATA; Mode: #IMPLIED)
      -list-type (Type: (bullet|order|simple); Mode: #IMPLIED)
      -prefix-word (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gq"><xsl:element name="def-list"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: degrees -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="eq"><xsl:element name="degrees"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: disp-formula -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | break | bold | italic
   | monospace | overline | roman | sc | strike | underline | attrib | permissions
   | alternatives | inline-graphic | chem-struct | inline-formula | label | mml:math
   | graphic | media | preformat | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gy"><xsl:element name="disp-formula"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: disp-formula-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, ( caption )?, ( alt-text | long-desc | email | ext-link | uri )*, ( disp-formula
   | disp-formula-group )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gz"><xsl:element name="disp-formula-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: disp-quote -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p+, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hd"><xsl:element name="disp-quote"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: edition -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hw"><xsl:element name="edition"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: element-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( bold | italic | monospace | overline | roman | sc | strike | underline | alternatives
   | inline-graphic | chem-struct | inline-formula | abbrev | named-content | styled-content
   | annotation | article-title | chapter-title | collab | comment | conf-date | conf-loc
   | conf-name | conf-sponsor | date | date-in-citation | day | edition | email | elocation-id
   | etal | ext-link | fpage | gov | institution | isbn | issn | issue | issue-id |
   issue-part | issue-title | lpage | month | name | object-id | page-range | part-title
   | patent | person-group | pub-id | publisher-loc | publisher-name | role | season
   | series | size | source | std | string-name | supplement | trans-source | trans-title
   | uri | volume | volume-id | volume-series | year | sub | sup )+
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -publication-format (Type: CDATA; Mode: #IMPLIED)
      -publication-type (Type: CDATA; Mode: #IMPLIED)
      -publisher-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bo"><xsl:element name="element-citation"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: elocation-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bm"><xsl:element name="elocation-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: email -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bs"><xsl:element name="email"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: equation-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ef"><xsl:element name="equation-count"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: etal -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="be"><xsl:element name="etal"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ext-link -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -ext-link-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cj"><xsl:element name="ext-link"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fax -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bt"><xsl:element name="fax"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fig -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc )*, ( disp-formula | disp-formula-group
   | chem-struct-wrap | disp-quote | speech | statement | verse-group | table-wrap
   | p | def-list | list | graphic | media | preformat )*, attrib?, permissions? )
   
   Attributes:
      -fig-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fd"><xsl:element name="fig"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fig-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="eg"><xsl:element name="fig-count"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fig-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( caption )?, ( alt-text | long-desc | email | ext-link | uri )*, ( fig | alternatives
   | graphic | media )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fc"><xsl:element name="fig-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: floats-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( alternatives | boxed-text | chem-struct-wrap | fig | fig-group | graphic | media
   | preformat | supplementary-material | table-wrap | table-wrap-group )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ii"><xsl:element name="floats-group"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( p )+ )
   
   Attributes:
      -fn-type (Type: (abbr|com|con|conflict|corresp|current-aff|deceased|edited-by|equal|financial-disclosure|on-leave|participating-researchers|presented-at|presented-by|present-address|previously-at|study-group-members|supplementary-material|supported-by|other); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gm"><xsl:element name="fn"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fn-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( fn )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ew"><xsl:element name="fn-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: fpage -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bi"><xsl:element name="fpage"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: front -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( article-meta )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="px"><xsl:element name="front"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: funding-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( award-group*, funding-statement*, open-access? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ge"><xsl:element name="funding-group"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: funding-source -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -country (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -source-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gi"><xsl:element name="funding-source"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: funding-statement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | named-content | styled-content | sub | sup )*
   
   Attributes:
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gf"><xsl:element name="funding-statement"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: given-names -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cg"><xsl:element name="given-names"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: glossary -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, def-list*, glossary* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ex"><xsl:element name="glossary"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: glyph-data -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -fontchar (Type: CDATA; Mode: #IMPLIED)
      -fontname (Type: CDATA; Mode: #IMPLIED)
      -format (Type: NMTOKEN; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -resolution (Type: CDATA; Mode: #IMPLIED)
      -x-size (Type: CDATA; Mode: #IMPLIED)
      -xml:space (Type: (preserve); Default Value: preserve; Mode: #FIXED)
      -y-size (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pu"><xsl:element name="glyph-data"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: glyph-ref -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -glyph-data (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pv"><xsl:element name="glyph-ref"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: gov -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hx"><xsl:element name="gov"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: graphic -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )?, ( alt-text | long-desc )*, ( attrib?, permissions? )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #REQUIRED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ff"><xsl:element name="graphic"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: history -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( date )+-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dn"><xsl:element name="history"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: hr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fn"><xsl:element name="hr"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: inline-formula -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | mml:math | named-content
   | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gx"><xsl:element name="inline-formula"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: inline-graphic -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( alt-text? )
   
   Attributes:
      -baseline-shift (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: (cgm|gif|jpeg|png|tiff); Mode: #IMPLIED)
      -mimetype (Type: CDATA; Default Value: image; Mode: #FIXED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #REQUIRED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fh"><xsl:element name="inline-graphic"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: inline-supplementary-material -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | bold | italic | monospace
   | overline | roman | sc | strike | underline | named-content | styled-content |
   sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gp"><xsl:element name="inline-supplementary-material"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: institution -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bu"><xsl:element name="institution"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: isbn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="o"><xsl:element name="isbn"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -pub-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="p"><xsl:element name="issn"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="q"><xsl:element name="issue"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -pub-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="r"><xsl:element name="issue-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-part -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="s"><xsl:element name="issue-part"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-sponsor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="t"><xsl:element name="issue-sponsor"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: issue-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="u"><xsl:element name="issue-title"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: italic -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fq"><xsl:element name="italic"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: journal-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -journal-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="v"><xsl:element name="journal-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: kwd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | abbrev | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ds"><xsl:element name="kwd"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: kwd-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( kwd | compound-kwd )+ )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -kwd-group-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dr"><xsl:element name="kwd-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: label -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cm"><xsl:element name="label"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: license -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( license-p )+ )
   
   Attributes:
      -license-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="e"><xsl:element name="license"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: license-p -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | award-id | funding-source | open-access | chem-struct
   | inline-formula | inline-graphic | private-char | def-list | list | mml:math |
   abbrev | named-content | styled-content | disp-quote | speech | statement | verse-group
   | fn | target | xref | sub | sup | price )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="f"><xsl:element name="license-p"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, list-item+ )
   
   Attributes:
      -continued-from (Type: IDREF; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -list-content (Type: CDATA; Mode: #IMPLIED)
      -list-type (Type: (bullet|order|simple); Mode: #IMPLIED)
      -prefix-word (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gv"><xsl:element name="list"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: list-item -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( p )+
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gw"><xsl:element name="list-item"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: long-desc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cw"><xsl:element name="long-desc"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: lpage -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bj"><xsl:element name="lpage"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: media -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )?, ( alt-text | long-desc )*, ( attrib?, permissions? )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #REQUIRED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fg"><xsl:element name="media"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: meta-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cz"><xsl:element name="meta-name"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: meta-value -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="da"><xsl:element name="meta-value"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: milestone-end -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rationale (Type: CDATA; Mode: #IMPLIED)
      -rid (Type: IDREF; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hl"><xsl:element name="milestone-end"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: milestone-start -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rationale (Type: CDATA; Mode: #IMPLIED)
      -rid (Type: IDREF; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hk"><xsl:element name="milestone-start"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mixed-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | annotation | article-title | chapter-title | collab | comment
   | conf-date | conf-loc | conf-name | conf-sponsor | date | date-in-citation | day
   | edition | email | elocation-id | etal | ext-link | fpage | gov | institution |
   isbn | issn | issue | issue-id | issue-part | issue-title | lpage | month | name
   | object-id | page-range | part-title | patent | person-group | pub-id | publisher-loc
   | publisher-name | role | season | series | size | source | std | string-name |
   supplement | trans-source | trans-title | uri | volume | volume-id | volume-series
   | year | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -publication-format (Type: CDATA; Mode: #IMPLIED)
      -publication-type (Type: CDATA; Mode: #IMPLIED)
      -publisher-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bn"><xsl:element name="mixed-citation"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:abs -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jo"><xsl:element name="mml:abs"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:and -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kk"><xsl:element name="mml:and"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:annotation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="np"><xsl:element name="mml:annotation"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:annotation-xml -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( p+ )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nq"><xsl:element name="mml:annotation-xml"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:apply -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nj"><xsl:element name="mml:apply"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:approx -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mu"><xsl:element name="mml:approx"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccos -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lt"><xsl:element name="mml:arccos"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccosh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lv"><xsl:element name="mml:arccosh"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lw"><xsl:element name="mml:arccot"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccoth -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lx"><xsl:element name="mml:arccoth"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccsc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ly"><xsl:element name="mml:arccsc"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arccsch -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lz"><xsl:element name="mml:arccsch"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsec -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ma"><xsl:element name="mml:arcsec"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsech -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mb"><xsl:element name="mml:arcsech"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsin -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ls"><xsl:element name="mml:arcsin"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arcsinh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mc"><xsl:element name="mml:arcsinh"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arctan -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lu"><xsl:element name="mml:arctan"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arctanh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="md"><xsl:element name="mml:arctanh"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:arg -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jp"><xsl:element name="mml:arg"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:bvar -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="od"><xsl:element name="mml:bvar"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:card -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ky"><xsl:element name="mml:card"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cartesianproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lc"><xsl:element name="mml:cartesianproduct"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ceiling -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jv"><xsl:element name="mml:ceiling"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ci -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace
   | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror
   | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup |
   mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr
   | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ng"><xsl:element name="mml:ci"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:sep | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms
   | mml:mspace | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   )*
   
   Attributes:
      -base (Type: CDATA; Default Value: 10)
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ni"><xsl:element name="mml:cn"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:codomain -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jj"><xsl:element name="mml:codomain"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:complexes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="iw"><xsl:element name="mml:complexes"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:compose -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jm"><xsl:element name="mml:compose"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:condition -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nm"><xsl:element name="mml:condition"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:conjugate -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="js"><xsl:element name="mml:conjugate"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cos -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lh"><xsl:element name="mml:cos"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cosh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ln"><xsl:element name="mml:cosh"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:cot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ll"><xsl:element name="mml:cot"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:coth -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lr"><xsl:element name="mml:coth"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:csc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lk"><xsl:element name="mml:csc"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:csch -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lq"><xsl:element name="mml:csch"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:csymbol -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace
   | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror
   | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup |
   mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr
   | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nh"><xsl:element name="mml:csymbol"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:curl -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kr"><xsl:element name="mml:curl"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:declare -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -nargs (Type: CDATA; Default Value: 1)
      -occurrence (Type: CDATA; Default Value: function-model)
      -other (Type: CDATA; Mode: #IMPLIED)
      -scope (Type: CDATA; Default Value: local)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nn"><xsl:element name="mml:declare"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:degree -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oe"><xsl:element name="mml:degree"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:determinant -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mk"><xsl:element name="mml:determinant"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:diff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kv"><xsl:element name="mml:diff"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:divergence -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kp"><xsl:element name="mml:divergence"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:divide -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jy"><xsl:element name="mml:divide"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:domain -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ji"><xsl:element name="mml:domain"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:domainofapplication -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oh"><xsl:element name="mml:domainofapplication"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:emptyset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jd"><xsl:element name="mml:emptyset"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:eq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ms"><xsl:element name="mml:eq"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:equivalent -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mt"><xsl:element name="mml:equivalent"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:eulergamma -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jf"><xsl:element name="mml:eulergamma"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:exists -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ki"><xsl:element name="mml:exists"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:exp -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jn"><xsl:element name="mml:exp"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:exponentiale -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="iy"><xsl:element name="mml:exponentiale"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:factorial -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jt"><xsl:element name="mml:factorial"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:factorof -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mr"><xsl:element name="mml:factorof"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:false -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jc"><xsl:element name="mml:false"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:floor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ju"><xsl:element name="mml:floor"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:fn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oa"><xsl:element name="mml:fn"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:forall -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kj"><xsl:element name="mml:forall"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:gcd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kf"><xsl:element name="mml:gcd"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:geq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mx"><xsl:element name="mml:geq"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:grad -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kq"><xsl:element name="mml:grad"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:gt -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mv"><xsl:element name="mml:gt"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ident -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jl"><xsl:element name="mml:ident"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:image -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jk"><xsl:element name="mml:image"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:imaginary -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jr"><xsl:element name="mml:imaginary"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:imaginaryi -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="iz"><xsl:element name="mml:imaginaryi"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:implies -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ko"><xsl:element name="mml:implies"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:in -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mz"><xsl:element name="mml:in"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:infinity -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jg"><xsl:element name="mml:infinity"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:int -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ku"><xsl:element name="mml:int"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:integers -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="is"><xsl:element name="mml:integers"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:intersect -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lb"><xsl:element name="mml:intersect"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:interval -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -closure (Type: CDATA; Default Value: closed)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nr"><xsl:element name="mml:interval"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:inverse -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jh"><xsl:element name="mml:inverse"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lambda -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nl"><xsl:element name="mml:lambda"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:laplacian -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ks"><xsl:element name="mml:laplacian"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lcm -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kg"><xsl:element name="mml:lcm"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:leq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="my"><xsl:element name="mml:leq"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:limit -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lf"><xsl:element name="mml:limit"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -order (Type: CDATA; Default Value: numeric)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nt"><xsl:element name="mml:list"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ln -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kx"><xsl:element name="mml:ln"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:log -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kt"><xsl:element name="mml:log"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:logbase -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="of"><xsl:element name="mml:logbase"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lowlimit -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ob"><xsl:element name="mml:lowlimit"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:lt -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mw"><xsl:element name="mml:lt"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:maction -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -actiontype (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -selection (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pb"><xsl:element name="mml:maction"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:maligngroup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ip"><xsl:element name="mml:maligngroup"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:malignmark -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -edge (Type: (left|right); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="io"><xsl:element name="mml:malignmark"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:math -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow | mml:mfrac
   | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded |
   mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder | mml:mover
   | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr | mml:mtd
   | mml:maligngroup | mml:malignmark | mml:maction | mml:ci | mml:csymbol | mml:cn
   | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes
   | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:apply | mml:fn | mml:lambda
   | mml:reln | mml:interval | mml:list | mml:matrix | mml:matrixrow | mml:set | mml:vector
   | mml:piecewise | mml:semantics | mml:declare )* )
   
   Attributes:
      -altimg (Type: CDATA; Mode: #IMPLIED)
      -alttext (Type: CDATA; Mode: #IMPLIED)
      -baseline (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -display (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -macros (Type: CDATA; Mode: #IMPLIED)
      -mode (Type: CDATA; Mode: #IMPLIED)
      -name (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -overflow (Type: (scroll|elide|truncate|scale); Default Value: scroll)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
      -xsi:schemaLocation (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pj"><xsl:element name="mml:math"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:matrix -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nv"><xsl:element name="mml:matrix"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:matrixrow -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nw"><xsl:element name="mml:matrixrow"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:max -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kc"><xsl:element name="mml:max"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mean -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="me"><xsl:element name="mml:mean"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:median -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mh"><xsl:element name="mml:median"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:menclose -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -notation (Type: CDATA; Default Value: longdiv)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oo"><xsl:element name="mml:menclose"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:merror -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oj"><xsl:element name="mml:merror"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mfenced -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -close (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -open (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -separators (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pc"><xsl:element name="mml:mfenced"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mfrac -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -bevelled (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -denomalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -linethickness (Type: CDATA; Mode: #IMPLIED)
      -numalign (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="om"><xsl:element name="mml:mfrac"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mglyph -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -alt (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -index (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="iq"><xsl:element name="mml:mglyph"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mi -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pe"><xsl:element name="mml:mi"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:min -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kd"><xsl:element name="mml:min"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:minus -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jw"><xsl:element name="mml:minus"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mlabeledtr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oz"><xsl:element name="mml:mlabeledtr"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mmultiscripts -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ot"><xsl:element name="mml:mmultiscripts"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mn -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pf"><xsl:element name="mml:mn"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mo -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fence (Type: (true|false); Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -form (Type: (prefix|infix|postfix); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -largeop (Type: (true|false); Mode: #IMPLIED)
      -lspace (Type: CDATA; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -maxsize (Type: CDATA; Mode: #IMPLIED)
      -minsize (Type: CDATA; Mode: #IMPLIED)
      -movablelimits (Type: (true|false); Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rspace (Type: CDATA; Mode: #IMPLIED)
      -separator (Type: (true|false); Mode: #IMPLIED)
      -stretchy (Type: (true|false); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -symmetric (Type: (true|false); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pg"><xsl:element name="mml:mo"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mode -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mi"><xsl:element name="mml:mode"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:moment -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mj"><xsl:element name="mml:moment"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:momentabout -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="og"><xsl:element name="mml:momentabout"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mover -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ov"><xsl:element name="mml:mover"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mpadded -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -depth (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -lspace (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pd"><xsl:element name="mml:mpadded"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mphantom -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ok"><xsl:element name="mml:mphantom"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mprescripts -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="im"><xsl:element name="mml:mprescripts"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mroot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="op"><xsl:element name="mml:mroot"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mrow -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ol"><xsl:element name="mml:mrow"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:ms -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -lquote (Type: CDATA; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rquote (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pi"><xsl:element name="mml:ms"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mspace -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -depth (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -linebreak (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="il"><xsl:element name="mml:mspace"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msqrt -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="on"><xsl:element name="mml:msqrt"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mstyle -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -accentunder (Type: (true|false); Mode: #IMPLIED)
      -align (Type: CDATA; Mode: #IMPLIED)
      -alignmentscope (Type: CDATA; Mode: #IMPLIED)
      -background (Type: CDATA; Mode: #IMPLIED)
      -bevelled (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -close (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -columnlines (Type: CDATA; Mode: #IMPLIED)
      -columnspacing (Type: CDATA; Mode: #IMPLIED)
      -columnspan (Type: CDATA; Mode: #IMPLIED)
      -columnwidth (Type: CDATA; Mode: #IMPLIED)
      -depth (Type: CDATA; Mode: #IMPLIED)
      -displaystyle (Type: (true|false); Mode: #IMPLIED)
      -edge (Type: (left|right); Mode: #IMPLIED)
      -equalcolumns (Type: CDATA; Mode: #IMPLIED)
      -equalrows (Type: CDATA; Mode: #IMPLIED)
      -fence (Type: (true|false); Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -form (Type: (prefix|infix|postfix); Mode: #IMPLIED)
      -frame (Type: (none|solid|dashed); Mode: #IMPLIED)
      -framespacing (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -height (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -largeop (Type: (true|false); Mode: #IMPLIED)
      -linethickness (Type: CDATA; Mode: #IMPLIED)
      -lquote (Type: CDATA; Mode: #IMPLIED)
      -lspace (Type: CDATA; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -maxsize (Type: CDATA; Mode: #IMPLIED)
      -mediummathspace (Type: CDATA; Mode: #IMPLIED)
      -minlabelspacing (Type: CDATA; Mode: #IMPLIED)
      -minsize (Type: CDATA; Mode: #IMPLIED)
      -movablelimits (Type: (true|false); Mode: #IMPLIED)
      -open (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -rowlines (Type: CDATA; Mode: #IMPLIED)
      -rowspacing (Type: CDATA; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Mode: #IMPLIED)
      -rquote (Type: CDATA; Mode: #IMPLIED)
      -rspace (Type: CDATA; Mode: #IMPLIED)
      -scriptlevel (Type: CDATA; Mode: #IMPLIED)
      -scriptminsize (Type: CDATA; Mode: #IMPLIED)
      -scriptsizemultiplier (Type: CDATA; Mode: #IMPLIED)
      -selection (Type: CDATA; Mode: #IMPLIED)
      -separator (Type: (true|false); Mode: #IMPLIED)
      -separators (Type: CDATA; Mode: #IMPLIED)
      -side (Type: (left|right|leftoverlap|rightoverlap); Mode: #IMPLIED)
      -stretchy (Type: (true|false); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -symmetric (Type: (true|false); Mode: #IMPLIED)
      -thickmathspace (Type: CDATA; Mode: #IMPLIED)
      -thinmathspace (Type: CDATA; Mode: #IMPLIED)
      -verythickmathspace (Type: CDATA; Mode: #IMPLIED)
      -verythinmathspace (Type: CDATA; Mode: #IMPLIED)
      -veryverythickmathspace (Type: CDATA; Mode: #IMPLIED)
      -veryverythinmathspace (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oi"><xsl:element name="mml:mstyle"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msub -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oq"><xsl:element name="mml:msub"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msubsup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -subscriptshift (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="os"><xsl:element name="mml:msubsup"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:msup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -superscriptshift (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="or"><xsl:element name="mml:msup"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtable -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -align (Type: CDATA; Mode: #IMPLIED)
      -alignmentscope (Type: CDATA; Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -columnlines (Type: CDATA; Mode: #IMPLIED)
      -columnspacing (Type: CDATA; Mode: #IMPLIED)
      -columnwidth (Type: CDATA; Mode: #IMPLIED)
      -displaystyle (Type: (true|false); Mode: #IMPLIED)
      -equalcolumns (Type: CDATA; Mode: #IMPLIED)
      -equalrows (Type: CDATA; Mode: #IMPLIED)
      -frame (Type: (none|solid|dashed); Mode: #IMPLIED)
      -framespacing (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -minlabelspacing (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -rowlines (Type: CDATA; Mode: #IMPLIED)
      -rowspacing (Type: CDATA; Mode: #IMPLIED)
      -side (Type: (left|right|leftoverlap|rightoverlap); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ox"><xsl:element name="mml:mtable"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtd -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -columnspan (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pa"><xsl:element name="mml:mtd"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtext -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | mml:mglyph | mml:malignmark )*
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -color (Type: CDATA; Mode: #IMPLIED)
      -fontfamily (Type: CDATA; Mode: #IMPLIED)
      -fontsize (Type: CDATA; Mode: #IMPLIED)
      -fontstyle (Type: (normal|italic); Mode: #IMPLIED)
      -fontweight (Type: (normal|bold); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mathbackground (Type: CDATA; Mode: #IMPLIED)
      -mathcolor (Type: CDATA; Mode: #IMPLIED)
      -mathsize (Type: CDATA; Mode: #IMPLIED)
      -mathvariant (Type: CDATA; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ph"><xsl:element name="mml:mtext"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:mtr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -columnalign (Type: CDATA; Mode: #IMPLIED)
      -groupalign (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -rowalign (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oy"><xsl:element name="mml:mtr"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:munder -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accentunder (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ou"><xsl:element name="mml:munder"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:munderover -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mprescripts
   | mml:none | mml:mrow | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle
   | mml:merror | mml:mpadded | mml:mphantom | mml:mfenced | mml:msub | mml:msup |
   mml:msubsup | mml:munder | mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable
   | mml:mtr | mml:mlabeledtr | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction
   | mml:ci | mml:csymbol | mml:cn | mml:integers | mml:reals | mml:rationals | mml:naturalnumbers
   | mml:complexes | mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber
   | mml:true | mml:false | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity |
   mml:apply | mml:fn | mml:lambda | mml:reln | mml:interval | mml:list | mml:matrix
   | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:semantics | mml:declare
   )* )
   
   Attributes:
      -accent (Type: (true|false); Mode: #IMPLIED)
      -accentunder (Type: (true|false); Mode: #IMPLIED)
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ow"><xsl:element name="mml:munderover"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:naturalnumbers -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="iv"><xsl:element name="mml:naturalnumbers"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:neq -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mq"><xsl:element name="mml:neq"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:none -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="in"><xsl:element name="mml:none"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:not -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kn"><xsl:element name="mml:not"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notanumber -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ja"><xsl:element name="mml:notanumber"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notin -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="na"><xsl:element name="mml:notin"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notprsubset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nc"><xsl:element name="mml:notprsubset"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:notsubset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nb"><xsl:element name="mml:notsubset"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:or -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kl"><xsl:element name="mml:or"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:otherwise -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nz"><xsl:element name="mml:otherwise"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:outerproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mo"><xsl:element name="mml:outerproduct"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:partialdiff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kw"><xsl:element name="mml:partialdiff"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:pi -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="je"><xsl:element name="mml:pi"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:piece -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ny"><xsl:element name="mml:piece"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:piecewise -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:piece )*, ( mml:otherwise )? )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nx"><xsl:element name="mml:piecewise"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:plus -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kb"><xsl:element name="mml:plus"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:power -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jz"><xsl:element name="mml:power"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:primes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ix"><xsl:element name="mml:primes"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:product -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="le"><xsl:element name="mml:product"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:prsubset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ne"><xsl:element name="mml:prsubset"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:quotient -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jx"><xsl:element name="mml:quotient"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:rationals -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="iu"><xsl:element name="mml:rationals"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:real -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jq"><xsl:element name="mml:real"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:reals -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="it"><xsl:element name="mml:reals"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:reln -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nk"><xsl:element name="mml:reln"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:rem -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ka"><xsl:element name="mml:rem"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:root -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kh"><xsl:element name="mml:root"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:scalarproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mn"><xsl:element name="mml:scalarproduct"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sdev -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mf"><xsl:element name="mml:sdev"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sec -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lj"><xsl:element name="mml:sec"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sech -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lp"><xsl:element name="mml:sech"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:selector -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mp"><xsl:element name="mml:selector"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:semantics -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="no"><xsl:element name="mml:semantics"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sep -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ir"><xsl:element name="mml:sep"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:set -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ns"><xsl:element name="mml:set"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:setdiff -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="kz"><xsl:element name="mml:setdiff"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sin -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lg"><xsl:element name="mml:sin"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sinh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lm"><xsl:element name="mml:sinh"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:subset -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nd"><xsl:element name="mml:subset"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:sum -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ld"><xsl:element name="mml:sum"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:tan -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="li"><xsl:element name="mml:tan"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:tanh -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="lo"><xsl:element name="mml:tanh"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:tendsto -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -type (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nf"><xsl:element name="mml:tendsto"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:times -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ke"><xsl:element name="mml:times"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:transpose -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ml"><xsl:element name="mml:transpose"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:true -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="jb"><xsl:element name="mml:true"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:union -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="la"><xsl:element name="mml:union"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:uplimit -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="oc"><xsl:element name="mml:uplimit"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:variance -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mg"><xsl:element name="mml:variance"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:vector -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( mml:csymbol | mml:ci | mml:cn | mml:apply | mml:reln | mml:lambda | mml:condition
   | mml:declare | mml:sep | mml:semantics | mml:annotation | mml:annotation-xml |
   mml:integers | mml:reals | mml:rationals | mml:naturalnumbers | mml:complexes |
   mml:primes | mml:exponentiale | mml:imaginaryi | mml:notanumber | mml:true | mml:false
   | mml:emptyset | mml:pi | mml:eulergamma | mml:infinity | mml:interval | mml:list
   | mml:matrix | mml:matrixrow | mml:set | mml:vector | mml:piecewise | mml:lowlimit
   | mml:uplimit | mml:bvar | mml:degree | mml:logbase | mml:momentabout | mml:domainofapplication
   | mml:inverse | mml:ident | mml:domain | mml:codomain | mml:image | mml:abs | mml:conjugate
   | mml:exp | mml:factorial | mml:arg | mml:real | mml:imaginary | mml:floor | mml:ceiling
   | mml:not | mml:ln | mml:sin | mml:cos | mml:tan | mml:sec | mml:csc | mml:cot |
   mml:sinh | mml:cosh | mml:tanh | mml:sech | mml:csch | mml:coth | mml:arcsin | mml:arccos
   | mml:arctan | mml:arccosh | mml:arccot | mml:arccoth | mml:arccsc | mml:arccsch
   | mml:arcsec | mml:arcsech | mml:arcsinh | mml:arctanh | mml:determinant | mml:transpose
   | mml:card | mml:quotient | mml:divide | mml:power | mml:rem | mml:implies | mml:vectorproduct
   | mml:scalarproduct | mml:outerproduct | mml:setdiff | mml:fn | mml:compose | mml:plus
   | mml:times | mml:max | mml:min | mml:gcd | mml:lcm | mml:and | mml:or | mml:xor
   | mml:union | mml:intersect | mml:cartesianproduct | mml:mean | mml:sdev | mml:variance
   | mml:median | mml:mode | mml:selector | mml:root | mml:minus | mml:log | mml:int
   | mml:diff | mml:partialdiff | mml:divergence | mml:grad | mml:curl | mml:laplacian
   | mml:sum | mml:product | mml:limit | mml:moment | mml:exists | mml:forall | mml:neq
   | mml:factorof | mml:in | mml:notin | mml:notsubset | mml:notprsubset | mml:tendsto
   | mml:eq | mml:leq | mml:lt | mml:geq | mml:gt | mml:equivalent | mml:approx | mml:subset
   | mml:prsubset | mml:mi | mml:mn | mml:mo | mml:mtext | mml:ms | mml:mspace | mml:mrow
   | mml:mfrac | mml:msqrt | mml:mroot | mml:menclose | mml:mstyle | mml:merror | mml:mpadded
   | mml:mphantom | mml:mfenced | mml:msub | mml:msup | mml:msubsup | mml:munder |
   mml:mover | mml:munderover | mml:mmultiscripts | mml:mtable | mml:mtr | mml:mlabeledtr
   | mml:mtd | mml:maligngroup | mml:malignmark | mml:maction )* )
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="nu"><xsl:element name="mml:vector"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:vectorproduct -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="mm"><xsl:element name="mml:vectorproduct"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: mml:xor -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -class (Type: CDATA; Mode: #IMPLIED)
      -definitionURL (Type: CDATA; Default Value: )
      -encoding (Type: CDATA; Default Value: )
      -id (Type: ID; Mode: #IMPLIED)
      -other (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: CDATA; Mode: #IMPLIED)
      -xmlns:mml (Type: CDATA; Default Value: http://www.w3.org/1998/Math/MathML; Mode: #FIXED)
      -xref (Type: IDREF; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="km"><xsl:element name="mml:xor"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: monospace -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fr"><xsl:element name="monospace"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: month -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bz"><xsl:element name="month"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( surname, given-names?, prefix?, suffix? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -name-style (Type: (western|eastern|islensk); Default Value: western)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ce"><xsl:element name="name"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: named-content -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | bold
   | italic | monospace | overline | roman | sc | strike | underline | inline-graphic
   | private-char | chem-struct | inline-formula | def-list | list | mml:math | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup | disp-quote |
   speech | statement | verse-group )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #REQUIRED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hm"><xsl:element name="named-content"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: nlm-citation -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( person-group | collab )*, ( article-title | trans-title )*, source?, patent?,
   trans-source?, year?, ( ( month?, day?, time-stamp? ) | season? ), access-date?,
   volume?, edition?, conf-name?, conf-date?, conf-loc?, ( issue | supplement )*, publisher-loc?,
   publisher-name?, ( fpage?, lpage? )*, page-count?, series?, comment*, pub-id*, annotation?
   )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -publication-format (Type: CDATA; Mode: #IMPLIED)
      -publication-type (Type: CDATA; Mode: #IMPLIED)
      -publisher-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hb"><xsl:element name="nlm-citation"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: note -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, ( p | product )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hq"><xsl:element name="note"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: notes -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat |
   supplementary-material | table-wrap | disp-formula | disp-formula-group | p | def-list
   | list | disp-quote | speech | statement | verse-group )*, ( sec )* )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -notes-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cu"><xsl:element name="notes"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: object-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -pub-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="n"><xsl:element name="object-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: on-behalf-of -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="er"><xsl:element name="on-behalf-of"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: open-access -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( p+ )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gg"><xsl:element name="open-access"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: overline -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fv"><xsl:element name="overline"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: overline-end -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -rid (Type: IDREF; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gb"><xsl:element name="overline-end"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: overline-start -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -id (Type: ID; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ga"><xsl:element name="overline-start"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: p -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | award-id | funding-source | open-access | chem-struct
   | inline-formula | inline-graphic | private-char | def-list | list | mml:math |
   abbrev | named-content | styled-content | disp-quote | speech | statement | verse-group
   | fn | target | xref | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hc"><xsl:element name="p"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: page-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ej"><xsl:element name="page-count"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: page-range -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bk"><xsl:element name="page-range"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: part-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hy"><xsl:element name="part-title"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: patent -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -country (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hz"><xsl:element name="patent"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: permissions -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( copyright-statement*, copyright-year*, copyright-holder*, license* )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="g"><xsl:element name="permissions"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: person-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( anonymous | collab | name | aff | etal | string-name )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -person-group-type (Type: (allauthors|assignee|author|compiler|director|editor|guest-editor|inventor|translator|transed); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ia"><xsl:element name="person-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: phone -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bv"><xsl:element name="phone"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: prefix -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ch"><xsl:element name="prefix"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: preformat -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | alt-text | long-desc | email | ext-link | uri | attrib | permissions
   | bold | italic | monospace | overline | roman | sc | strike | underline | abbrev
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -preformat-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
      -xml:space (Type: (default|preserve); Default Value: preserve; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fi"><xsl:element name="preformat"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: price -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -currency (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cn"><xsl:element name="price"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: principal-award-recipient -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | name | institution | string-name )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gk"><xsl:element name="principal-award-recipient"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: principal-investigator -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | name | string-name )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gl"><xsl:element name="principal-investigator"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: private-char -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( glyph-data | glyph-ref ) | inline-graphic* )
   
   Attributes:
      -description (Type: CDATA; Mode: #IMPLIED)
      -name (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pt"><xsl:element name="private-char"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: product -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | inline-supplementary-material | related-article | related-object | bold
   | italic | monospace | overline | roman | sc | strike | underline | alternatives
   | inline-graphic | chem-struct | inline-formula | abbrev | named-content | styled-content
   | price | annotation | article-title | chapter-title | collab | comment | conf-date
   | conf-loc | conf-name | conf-sponsor | date | date-in-citation | day | edition
   | email | elocation-id | etal | ext-link | fpage | gov | institution | isbn | issn
   | issue | issue-id | issue-part | issue-title | lpage | month | name | object-id
   | page-range | part-title | patent | person-group | pub-id | publisher-loc | publisher-name
   | role | season | series | size | source | std | string-name | supplement | trans-source
   | trans-title | uri | volume | volume-id | volume-series | year | fn | target |
   xref | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -product-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dm"><xsl:element name="product"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: pub-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( ( day?, month? ) | season )?, year )
   
   Attributes:
      -pub-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dx"><xsl:element name="pub-date"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: pub-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -pub-id-type (Type: (art-access-id|coden|doaj|doi|manuscript|medline|other|pii|pmcid|pmid|publisher-id|sici); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ib"><xsl:element name="pub-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: publisher -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( publisher-name, publisher-loc? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bf"><xsl:element name="publisher"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: publisher-loc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bh"><xsl:element name="publisher-loc"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: publisher-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bg"><xsl:element name="publisher-name"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ref -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( element-citation | mixed-citation | nlm-citation )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hp"><xsl:element name="ref"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ref-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ei"><xsl:element name="ref-count"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: ref-list -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, ref+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ho"><xsl:element name="ref-list"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: related-article -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | journal-id | named-content | styled-content | annotation | article-title | chapter-title
   | collab | comment | conf-date | conf-loc | conf-name | conf-sponsor | date | date-in-citation
   | day | edition | email | elocation-id | etal | ext-link | fpage | gov | institution
   | isbn | issn | issue | issue-id | issue-part | issue-title | lpage | month | name
   | object-id | page-range | part-title | patent | person-group | pub-id | publisher-loc
   | publisher-name | role | season | series | size | source | std | string-name |
   supplement | trans-source | trans-title | uri | volume | volume-id | volume-series
   | year | sub | sup )*
   
   Attributes:
      -elocation-id (Type: CDATA; Mode: #IMPLIED)
      -ext-link-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -issue (Type: CDATA; Mode: #IMPLIED)
      -journal-id (Type: CDATA; Mode: #IMPLIED)
      -journal-id-type (Type: CDATA; Mode: #IMPLIED)
      -page (Type: CDATA; Mode: #IMPLIED)
      -related-article-type (Type: CDATA; Mode: #REQUIRED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -vol (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cp"><xsl:element name="related-article"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: related-object -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | annotation | article-title | chapter-title |
   collab | comment | conf-date | conf-loc | conf-name | conf-sponsor | date | date-in-citation
   | day | edition | email | elocation-id | etal | ext-link | fpage | gov | institution
   | isbn | issn | issue | issue-id | issue-part | issue-title | lpage | month | name
   | object-id | page-range | part-title | patent | person-group | pub-id | publisher-loc
   | publisher-name | role | season | series | size | source | std | string-name |
   supplement | trans-source | trans-title | uri | volume | volume-id | volume-series
   | year | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -document-id (Type: CDATA; Mode: #IMPLIED)
      -document-id-type (Type: CDATA; Mode: #IMPLIED)
      -document-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -link-type (Type: CDATA; Mode: #IMPLIED)
      -object-id (Type: CDATA; Mode: #IMPLIED)
      -object-id-type (Type: CDATA; Mode: #IMPLIED)
      -object-type (Type: CDATA; Mode: #IMPLIED)
      -source-id (Type: CDATA; Mode: #IMPLIED)
      -source-id-type (Type: CDATA; Mode: #IMPLIED)
      -source-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ih"><xsl:element name="related-object"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: role -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="w"><xsl:element name="role"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: roman -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fs"><xsl:element name="roman"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sans-serif -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ft"><xsl:element name="sans-serif"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sc -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fu"><xsl:element name="sc"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: season -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ca"><xsl:element name="season"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sec -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title, ( boxed-text | chem-struct-wrap | fig | graphic | media | preformat | supplementary-material
   | table-wrap | disp-formula | disp-formula-group | p | def-list | list | disp-quote
   | speech | statement | verse-group )*, ( sec )* )
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -sec-type (Type: CDATA; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ij"><xsl:element name="sec"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sec-meta -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( contrib-group*, kwd-group*, permissions? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ik"><xsl:element name="sec-meta"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: self-uri -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="do"><xsl:element name="self-uri"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: series -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ic"><xsl:element name="series"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: series-text -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dk"><xsl:element name="series-text"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: series-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dj"><xsl:element name="series-title"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sig -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup | break | inline-graphic | private-char | graphic | media )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cr"><xsl:element name="sig"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sig-block -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | break | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | graphic | media | inline-graphic | private-char | named-content
   | styled-content | sig | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cq"><xsl:element name="sig-block"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: size -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -units (Type: CDATA; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bl"><xsl:element name="size"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: source -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ie"><xsl:element name="source"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: speaker -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | degrees | given-names | prefix | surname | suffix | fn | target | xref
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hf"><xsl:element name="speaker"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: speech -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( speaker, ( p )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="he"><xsl:element name="speech"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: statement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, title?, ( p )+, ( attrib | permissions )* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hg"><xsl:element name="statement"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: std -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="id"><xsl:element name="std"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: strike -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fw"><xsl:element name="strike"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: string-conf -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup | conf-date | conf-name | conf-num | conf-loc | conf-sponsor
   | conf-theme | conf-acronym | string-conf )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ed"><xsl:element name="string-conf"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: string-date -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | day | month | season | year )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cc"><xsl:element name="string-date"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: string-name -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | degrees | given-names | prefix | surname | suffix )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cd"><xsl:element name="string-name"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: styled-content -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | boxed-text | chem-struct-wrap | fig | graphic | media | preformat
   | supplementary-material | table-wrap | disp-formula | disp-formula-group | bold
   | italic | monospace | overline | roman | sc | strike | underline | inline-graphic
   | private-char | chem-struct | inline-formula | def-list | list | mml:math | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup | disp-quote |
   speech | statement | verse-group )*
   
   Attributes:
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -style-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hn"><xsl:element name="styled-content"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sub -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -arrange (Type: (stack|stagger); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fx"><xsl:element name="sub"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: subj-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( subject+, subj-group* )
   
   Attributes:
      -subj-group-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dh"><xsl:element name="subj-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: subject -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | named-content |
   styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="di"><xsl:element name="subject"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: subtitle -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="em"><xsl:element name="subtitle"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: suffix -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ci"><xsl:element name="suffix"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: sup -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -arrange (Type: (stack|stagger); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fy"><xsl:element name="sup"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: supplement -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup | contrib-group | title )*
   
   Attributes:
      -supplement-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="et"><xsl:element name="supplement"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: supplementary-material -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc | email | ext-link | uri
   )*, ( p )*, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -mime-subtype (Type: CDATA; Mode: #IMPLIED)
      -mimetype (Type: CDATA; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fj"><xsl:element name="supplementary-material"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: surname -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cf"><xsl:element name="surname"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( col* | colgroup* ), ( ( thead?, tfoot?, tbody+ ) | ( tr+ ) ) )
   
   Attributes:
      -border (Type: CDATA; Mode: #IMPLIED)
      -cellpadding (Type: CDATA; Mode: #IMPLIED)
      -cellspacing (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -frame (Type: (void|above|below|hsides|lhs|rhs|vsides|box|border); Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rules (Type: (none|groups|rows|cols|all); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -summary (Type: CDATA; Mode: #IMPLIED)
      -width (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pk"><xsl:element name="table"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="eh"><xsl:element name="table-count"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-wrap -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( ( object-id )*, ( caption )?, ( alt-text | long-desc )*, ( disp-quote | speech
   | statement | verse-group | def-list | list | alternatives | chem-struct-wrap |
   graphic | media | preformat | table )*, table-wrap-foot?, attrib?, permissions?
   )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fl"><xsl:element name="table-wrap"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-wrap-foot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, ( p | fn-group | fn | attrib | permissions )+ )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fm"><xsl:element name="table-wrap-foot"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: table-wrap-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( label?, caption?, ( alt-text | long-desc | email | ext-link | uri )*, ( table-wrap
   )+ )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -orientation (Type: (portrait|landscape); Default Value: portrait)
      -position (Type: (anchor|float|margin); Default Value: float)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fk"><xsl:element name="table-wrap-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: target -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #REQUIRED)
      -target-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gn"><xsl:element name="target"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tbody -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( tr )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pn"><xsl:element name="tbody"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: td -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | hr | inline-supplementary-material | related-article
   | related-object | disp-formula | disp-formula-group | break | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | chem-struct | inline-formula | def-list | list | mml:math
   | abbrev | named-content | styled-content | graphic | media | preformat | inline-graphic
   | private-char | fn | target | xref | sub | sup )*
   
   Attributes:
      -abbr (Type: CDATA; Mode: #IMPLIED)
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -axis (Type: CDATA; Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -colspan (Type: CDATA; Default Value: 1)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -headers (Type: IDREFS; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Default Value: 1)
      -scope (Type: (row|col|rowgroup|colgroup); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ps"><xsl:element name="td"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: term -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gu"><xsl:element name="term"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: term-head -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gr"><xsl:element name="term-head"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tex-math -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -notation (Type: NOTATION (LaTeX|tex|TEX|TeX); Mode: #IMPLIED)
      -version (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ha"><xsl:element name="tex-math"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: textual-form -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | inline-graphic | private-char | mml:math | named-content | styled-content | sub
   | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dc"><xsl:element name="textual-form"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tfoot -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( tr )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pm"><xsl:element name="tfoot"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: th -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | hr | inline-supplementary-material | related-article
   | related-object | disp-formula | disp-formula-group | break | element-citation
   | mixed-citation | nlm-citation | bold | italic | monospace | overline | roman |
   sc | strike | underline | chem-struct | inline-formula | def-list | list | mml:math
   | abbrev | named-content | styled-content | graphic | media | preformat | inline-graphic
   | private-char | fn | target | xref | sub | sup )*
   
   Attributes:
      -abbr (Type: CDATA; Mode: #IMPLIED)
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -axis (Type: CDATA; Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -colspan (Type: CDATA; Default Value: 1)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -headers (Type: IDREFS; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -rowspan (Type: CDATA; Default Value: 1)
      -scope (Type: (row|col|rowgroup|colgroup); Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pr"><xsl:element name="th"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: thead -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( tr )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pl"><xsl:element name="thead"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: time-stamp -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="if"><xsl:element name="time-stamp"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   | element-citation | mixed-citation | nlm-citation )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="co"><xsl:element name="title"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: title-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( article-title, subtitle? )-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="el"><xsl:element name="title-group"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: tr -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( th | td )+
   
   Attributes:
      -align (Type: (left|center|right|justify|char); Mode: #IMPLIED)
      -char (Type: CDATA; Mode: #IMPLIED)
      -charoff (Type: CDATA; Mode: #IMPLIED)
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -style (Type: CDATA; Mode: #IMPLIED)
      -valign (Type: (top|middle|bottom|baseline); Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="pq"><xsl:element name="tr"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-abstract -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, p*, sec* )
   
   Attributes:
      -abstract-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dq"><xsl:element name="trans-abstract"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-source -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | email | ext-link | uri | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ig"><xsl:element name="trans-source"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-subtitle -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="y"><xsl:element name="trans-subtitle"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-title -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | bold | italic | monospace | overline | roman
   | sc | strike | underline | alternatives | inline-graphic | chem-struct | inline-formula
   | abbrev | named-content | styled-content | fn | target | xref | sub | sup | break
   )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="z"><xsl:element name="trans-title"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: trans-title-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( trans-title, trans-subtitle* )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="x"><xsl:element name="trans-title-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: underline -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | email | ext-link | uri | inline-supplementary-material | related-article
   | related-object | bold | italic | monospace | overline | roman | sc | strike |
   underline | alternatives | inline-graphic | chem-struct | inline-formula | abbrev
   | named-content | styled-content | fn | target | xref | sub | sup )*-->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="fz"><xsl:element name="underline"><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: underline-end -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -rid (Type: IDREF; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gd"><xsl:element name="underline-end"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: underline-start -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -id (Type: ID; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="gc"><xsl:element name="underline-start"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: unstructured-kwd-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -kwd-group-type (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dv"><xsl:element name="unstructured-kwd-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: uri -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xlink:actuate (Type: (none|onLoad|onRequest|other); Mode: #IMPLIED)
      -xlink:href (Type: CDATA; Mode: #IMPLIED)
      -xlink:role (Type: CDATA; Mode: #IMPLIED)
      -xlink:show (Type: (embed|new|none|other|replace); Mode: #IMPLIED)
      -xlink:title (Type: CDATA; Mode: #IMPLIED)
      -xlink:type (Type: (simple); Default Value: simple; Mode: #FIXED)
      -xmlns:xlink (Type: CDATA; Default Value: http://www.w3.org/1999/xlink; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bw"><xsl:element name="uri"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: verse-group -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( title?, subtitle?, verse-line+, attrib?, permissions? )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -id (Type: ID; Mode: #IMPLIED)
      -specific-use (Type: CDATA; Mode: #IMPLIED)
      -xml:lang (Type: NMTOKEN; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hh"><xsl:element name="verse-group"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: verse-line -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | alternatives | inline-graphic | chem-struct | inline-formula | abbrev | named-content
   | styled-content | sub | sup )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="hi"><xsl:element name="verse-line"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: volume -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -seq (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ba"><xsl:element name="volume"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: volume-id -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -pub-id-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bb"><xsl:element name="volume-id"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: volume-series -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="bc"><xsl:element name="volume-series"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: word-count -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   EMPTY
   
   Attributes:
      -count (Type: NMTOKEN; Mode: #REQUIRED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="ek"><xsl:element name="word-count"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: x -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | )*
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
      -xml:space (Type: (default|preserve); Default Value: preserve; Mode: #FIXED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="dd"><xsl:element name="x"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: xref -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA | bold | italic | monospace | overline | roman | sc | strike | underline
   | named-content | styled-content | sub | sup )*
   
   Attributes:
      -id (Type: ID; Mode: #IMPLIED)
      -ref-type (Type: (aff|app|bibr|boxed-text|chem|contrib|corresp|disp-formula|fig|fn|kwd|list|plate|scheme|sec|statement|supplementary-material|table|table-fn|other); Mode: #IMPLIED)
      -rid (Type: IDREFS; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="go"><xsl:element name="xref"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   
   <!-- ************************************************************************************************ -->
   <!-- Template for: year -->
   <!-- ================================================================================================ -->
   <!-- Content model for element:
   ( #PCDATA )
   
   Attributes:
      -content-type (Type: CDATA; Mode: #IMPLIED)
   -->
   <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
   <xsl:template match="cb"><xsl:element name="year"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element></xsl:template>
   </xsl:stylesheet>